﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    <!-- Rule ID: VR.ATO.GEN.500085
         Rule ID: VR.ATO.GEN.500004
         Removed by UCT8D
    -->    

    <!-- Rule ID: VR.ATO.CUADDR.000021
         ELS Ref: V210F

        IF ([cuaddr21] = NULLORBLANK) AND ([cuaddr22] = NULLORBLANK) AND (([cuaddr23] = NULLORBLANK) OR ([cuaddr23] = "au"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [cuaddr21] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [cuaddr22] = pyde.02.00:AddressDetails.Postcode.Text        
        [cuaddr23] = pyde.02.08:AddressDetails.Country.Code
        
     -->
    <assert  id="VR.ATO.CUADDR.000021" diagnostics="DVR.ATO.CUADDR.000021"
             test="not(                                           
                        not($cuaddr21[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) 
                        and
                        not($cuaddr22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) 
                        and                   
                        (
                          not($cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) 
                          or 
                          $cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 and . = 'au']
                        )                  
                   )
             "/>

    <!-- Rule ID: VR.ATO.CUADDR.000019
         ELS Ref: V210C

        IF ([cuaddr21] <> NULLORBLANK OR [cuaddr22] <> NULLORBLANK) AND 
            (
              [cuaddr18] = NULLORBLANK OR 
              [cuaddr20] = NULLORBLANK OR 
              [cuaddr21] = NULLORBLANK OR 
              [cuaddr22] = NULLORBLANK
            )
           RETURN VALIDATION MESSAGE
        ENDIF
        
        IF (([cuaddr21] <> NULLORBLANK) OR ([cuaddr22] <> NULLORBLANK)) AND 
           (
              ([cuaddr20] = NULLORBLANK) OR 
              ([cuaddr21] = NULLORBLANK) OR 
              ([cuaddr22] = NULLORBLANK)
           )
          RETURN VALIDATION MESSAGE
        ENDIF

        [cuaddr20] = pyde.02.00:AddressDetails.LocalityName.Text
        [cuaddr21] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [cuaddr22] = pyde.02.00:AddressDetails.Postcode.Text    
        
     -->
    <assert  id="VR.ATO.CUADDR.000019" diagnostics="DVR.ATO.CUADDR.000019"
             test="not(
                        (
                          $cuaddr21[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] 
                          or
                          $cuaddr22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] 
                        )
                        and
                        (
                          not($cuaddr20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) 
                          or
                          not($cuaddr21[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) 
                          or
                          not($cuaddr22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )              
                      )"/>
      

    <!-- Rule ID: VR.ATO.CUADDR.000077
         ELS Ref: N/A

        IF ([cuaddr36] = "RES") AND ([cuaddr16] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF

        [cuaddr16] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
        [cuaddr36] = pyde.xx.xx:AddressDetails.Usage.Code
        
     -->
    <assert  id="VR.ATO.CUADDR.000077" diagnostics="DVR.ATO.CUADDR.000077"
             test="not(                                           
                        $cuaddr36[. = 'RES']
                        and
                        $cuaddr16[not(@i:nil='true') and string-length(.) != 0]
                   )
             "/>

    <!-- Rule ID: VR.ATO.GEN.500123
         ELS Ref: N/A
           
        IF RP:entity.identifier.scheme = "http://www.abr.gov.au/abn" AND  
            (
                RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK OR 
                RP:entity.identifier.ABN <> RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
            )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cuaddr31] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert  id="VR.ATO.GEN.500123" diagnostics="DVR.ATO.GEN.500123"
         test="not(  
                          xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                          [
                                matches(@scheme,'^http://www.abr.gov.au/abn$')
                          ]
                          and
                          (
                                not($cuaddr31[not(@i:nil='true' or @i:nil='1') or string-length(.) != 0])
                                or
                                xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                                [
                                      string-length(.) != 0 
                                      and 
                                      . != $cuaddr31
                                ]
                          )
                       )" />
    
  </rule>

  <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">


    <!-- Rule ID: VR.ATO.CUADDR.000001
         ELS Ref: V210M
         
        IF ([cuaddr18] CONTAINS "UNKNOWN")
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [cuaddr18] = pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN"
    -->
    <assert  id="VR.ATO.CUADDR.000001" diagnostics="DVR.ATO.CUADDR.000001"
             test="not(
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                       )"/>

  </rule>

  <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">


    <!-- Rule ID: VR.ATO.CUADDR.000002
         ELS Ref: V210M
         
        IF ([cuaddr19] CONTAINS "UNKNOWN")
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [cuaddr19] = pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN"
    -->
    <assert  id="VR.ATO.CUADDR.000002" diagnostics="DVR.ATO.CUADDR.000002"
             test="not(
                        matches(.,'^(.*)UNKNOWN(.*)$','i')
                       )"/>

  </rule>

  <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500010
         ELS Ref: V210B
         
         IF ((pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Country.Code = "au")) AND (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
         ENDIF
      
        [cuaddr20]  = pyde.xx.xx:AddressDetails.LocalityName.Text
     -->
    
    <assert id="VR.ATO.GEN.500010" diagnostics="DVR.ATO.GEN.500010"
          test="not(
             (count($cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0 
             or $cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au') and    
             matches($cuaddr20,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')
             )"/>

    <!-- Rule ID: VR.ATO.CUADDR.000003
         ELS Ref: V210M
         
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.CUADDR.000003" diagnostics="DVR.ATO.CUADDR.000003" test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428036
         ELS Ref: V35
        
        IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
     -->
    <assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036"
             test="matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i')"/>

  </rule>

  <rule context="pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CUADDR.000020
         ELS Ref: V210D
        
        IF (([cuaddr23] <> NULLORBLANK) AND ([cuaddr23] <> "au")) AND ([cuaddr20] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF
                
        [cuaddr20] = pyde.02.00:AddressDetails.LocalityName.Text
        [cuaddr23] = pyde.02.08:AddressDetails.Country.Code    
        
     -->
    <assert  id="VR.ATO.CUADDR.000020" diagnostics="DVR.ATO.CUADDR.000020"
             test="not(
                    $cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 and . != 'au'] 
                    and
                    not($cuaddr20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
             )"/>

    <!-- Rule ID: VR.ATO.GEN.500011
         ELS Ref: V210E
        
        IF ((pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> "au")) AND ((pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cuaddr22] = pyde.02.00:AddressDetails.Postcode.Text
        [cuaddr21] = pyde.02.00:AddressDetails.StateOrTerritory.Code
        [cuaddr23] = pyde.02.08:AddressDetails.Country.Code    
        
     -->
    <assert  id="VR.ATO.GEN.500011" diagnostics="DVR.ATO.GEN.500011"
             test="not(
                    $cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 and . != 'au'] and
                    (
                      $cuaddr22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or 
                      $cuaddr21[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                    )
             )"/>

  </rule>


  <rule context="xbrli:xbrl/pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.CUADDR.000075
         ELS Ref: V35
        
        IF (pyde.xx.xx:AddressDetails.Usage.Code <> SET("RES","BUS","POS"))
          RETURN VALIDATION MESSAGE
        ENDIF        
     -->
    <assert  id="VR.ATO.CUADDR.000075" diagnostics="DVR.ATO.CUADDR.000075"
             test="not(
                        not(upper-case(.) = 'RES' or upper-case(.) = 'POS' or upper-case(.) = 'BUS')
                      )"/>
  </rule>

  
  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $cuaddr12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $cuaddr14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $cuaddr27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )"/>

  </rule>

	<rule context="xbrli:xbrl/rvctc3.02.20:Tax.RoleType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

		<!-- Rule ID: VR.ATO.GEN.500013
         ELS Ref: V35
         
        IF (rvctc3.xx.xx:Tax.RoleType.Code <> NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code <> SET("IT","AS"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
		<assert id="VR.ATO.GEN.500013" diagnostics="DVR.ATO.GEN.500013"
				test="not(
                        not(
                              upper-case(.) = 'IT' or 
                              upper-case(.) = 'AS'
                           )
                     )"/>

	</rule>



</pattern>