﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.GEN.500026
         ELS Ref: V9
         
      IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line1.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.GEN.500026" diagnostics="DVR.ATO.GEN.500026"
             test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.GEN.500027
         ELS Ref: V9
         
      IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line2.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.GEN.500027" diagnostics="DVR.ATO.GEN.500027"
             test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    <!-- Rule ID: VR.ATO.GEN.500028
         ELS Ref: V9
         
      IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.LocalityName.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
         RETURN VALIDATION MESSAGE
      ENDIF
    -->
    <assert  id="VR.ATO.GEN.500028" diagnostics="DVR.ATO.GEN.500028"
             test="matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$')"/>

    <!-- Rule ID: VR.ATO.GEN.500000
         ELS Ref: V210A
         
      IF ((pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Country.Code = "au")) AND (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS)
         RETURN VALIDATION MESSAGE
      ENDIF
      
     -->
    <assert id="VR.ATO.GEN.500000" diagnostics="DVR.ATO.GEN.500000"
            test="not(
                      (count($cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0 
                      or $cuaddr23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au') and     
                      matches(.,'^(.*)[0-9](.*)$')
                      )
                        "/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]">
    <!-- Rule ID: VR.ATO.GEN.428041
         ELS Ref: V35

        IF (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text  <> SET(0200-9999))
           RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041"
             test="string-length(.) = 0 or matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')"/>

  </rule>
  
</pattern>