﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>
    
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    
    <!-- Rule ID: VR.ATO.CUDTL.000013
         Rule ID: VR.ATO.CUDTL.000019
         Rule ID: VR.ATO.CUDTL.000043
         Rule ID: VR.ATO.CUDTL.000006
         Removed by UCT8D
     -->        

    <!-- Rule ID: VR.ATO.CUDTL.000051

        IF ([CUDTL30] = NULLORBLANK) AND
        ([CUDTL12] <> NULLORBLANK OR
        [CUDTL14] <> NULLORBLANK OR
        [CUDTL27] <> NULLORBLANK OR
        [CUDTL25] <> NULLORBLANK OR
        [CUDTL26] <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [CUDTL30] = pyid.02.00:Identifiers.TaxAgentNumber.Identifier
        [CUDTL12] = pyde.02.00:PersonNameDetails.FamilyName.Text
        [CUDTL14] = pyde.02.00:PersonNameDetails.GivenName.Text
        [CUDTL27] = pyde.02.00:PersonDemographicDetails.Birth.Date
        [CUDTL25] = pyde.02.00:PersonDemographicDetails.Deceased.Indicator
        [CUDTL26] = pyde.02.00:PersonDemographicDetails.Death.Date
     -->
    <assert id="VR.ATO.CUDTL.000051" diagnostics="DVR.ATO.CUDTL.000051"
            test="not(
                           not($cudtl30) and
                           (
                              $cudtl12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or
                              $cudtl14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or
                              $cudtl27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or
                              $cudtl25[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or
                              $cudtl26[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                           )
                     )" />

    <!-- Rule ID: VR.ATO.CUDTL.000052
        
        IF [cudtl20] <> NULL OR
           [cudtl21] <> NULL OR
           [cudtl22] <> NULL OR
           [cudtl23] <> NULL OR
           (
              [cudtl19] <> NULL AND 
              (
                [cudtl19] <> "EF" OR 
                [cudtl25] <> TRUE
              )
            )

        [CUDTL19] = pyde.02.00:PersonNameDetails.Title.Text
        [CUDTL20] = pyde.02.00:PersonNameDetails.FamilyName.Text
        [CUDTL21] = pyde.02.00:PersonNameDetails.GivenName.Text
        [CUDTL22] = pyde.02.00:PersonNameDetails.OtherGivenName.Text
        [CUDTL23] = pyde.02.00:PersonNameDetails.NameSuffix.Text
        [CUDTL25] = pyde.02.00:PersonDemographicDetails.Deceased.Indicator
     -->
    <assert id="VR.ATO.CUDTL.000052" diagnostics="DVR.ATO.CUDTL.000052"
            test="not(
                        $cudtl20[not(@i:nil='true')] or
                        $cudtl21[not(@i:nil='true')] or
                        $cudtl22[not(@i:nil='true')] or
                        $cudtl23[not(@i:nil='true')] or
                        (
                          $cudtl19[not(@i:nil='true')] and
                          (
                            $cudtl19 != 'EF' or
                            $cudtl25 != 'true'
                          )
                        )
                     )" />

    <!-- Rule ID: VR.ATO.GEN.500043
         ELS Ref: N/A

        IF (pyde.xx.xx:PersonDemographicDetails.Death.Date <> NULL) AND (pyde.xx.xx:PersonDemographicDetails.Deceased.Indicator = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert id="VR.ATO.GEN.500043" diagnostics="DVR.ATO.GEN.500043"
            test="not(
                        $cudtl26[not(@i:nil='true')]
                        and 
                        (
                          not($cudtl25[not(@i:nil='true')]) or
                          $cudtl25 = 'false'
                        )
                     )" />

    <!-- Rule ID: VR.ATO.GEN.500123
         ELS Ref: N/A
           
        IF RP:entity.identifier.scheme = "http://www.abr.gov.au/abn" AND  
            (
                RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK OR 
                RP:entity.identifier.ABN <> RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
            )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cudtl17] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier 
    -->
    <assert  id="VR.ATO.GEN.500123" diagnostics="DVR.ATO.GEN.500123"
     test="not(  
                          xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                          [
                                matches(@scheme,'^http://www.abr.gov.au/abn$')
                          ]
                          and
                          (
                                not($cudtl17[not(@i:nil='true' or @i:nil='1') or string-length(.) != 0])
                                or
                                xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                                [
                                      string-length(.) != 0 
                                      and 
                                      . != $cudtl17
                                ]
                          )
                       )" />
    
  </rule>

    <!-- Rule ID: VR.ATO.CUDTL.000001
         Removed by UCT8D  
    -->  

  <rule context="xbrli:xbrl/pyde.02.00:PersonDemographicDetails.Deceased.Indicator[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CUDTL.000027
         ELS Ref: V1927B

        IF ([cudtl17] <> NULLORBLANK) AND ([cudtl25] = TRUE)
          RETURN VALIDATION MESSAGE
        ENDIF
             
        [cudtl17] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        [cudtl25] = pyde.02.00:PersonDemographicDetails.Deceased.Indicator
     -->
    <assert id="VR.ATO.CUDTL.000027" diagnostics="DVR.ATO.CUDTL.000027"
            test="not(
                        $cudtl17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        and 
                        upper-case(.) = 'TRUE'                        
                     )" />
    
    </rule>
  
        
  <rule context="xbrli:xbrl/pyde.02.00:PersonDemographicDetails.Death.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
  
    <!-- Rule ID: VR.ATO.CUDTL.000045
         ELS Ref: N/A

        IF (pyde.xx.xx:PersonDemographicDetails.Death.Date <> NULL) AND (pyde.xx.xx:PersonDemographicDetails.Death.Date < pyde.xx.xx:PersonDemographicDetails.Birth.Date)
          RETURN VALIDATION MESSAGE
        ENDIF
     -->
    <assert id="VR.ATO.CUDTL.000045" diagnostics="DVR.ATO.CUDTL.000045"
            test="not(
                        $cudtl27[1]
                        and
                        function:IsDate1GreaterThanDate2($cudtl27[1], .)
                     )" />
  </rule>


</pattern>