﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.CUEC.000001
         ELS Ref: N/A

         IF ([cuec30] = NULLORBLANK AND [cuec31] = NULLORBLANK) AND ([cuec32] = TRUE)
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec30] = pyde.xx.xx:ElectronicContact.Facsimile.Area.Code
         [cuec31] = pyde.xx.xx:ElectronicContact.Facsimile.Minimal.Number
         [cuec32] = pyde.xx.xx:ElectronicContact.Facsimile.Deletion.Indicator
    -->
    <assert id="VR.ATO.CUEC.000001" diagnostics="DVR.ATO.CUEC.000001"
            test="not(
                        not($cuec30[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($cuec31[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec32[matches(.,'^(true|1)$')]
                     )"/>

    <!-- Rule ID: VR.ATO.CUEC.000002
         ELS Ref: N/A

		     IF ([cuec28] = NULLORBLANK) AND ([cuec29] = TRUE)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec28] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
		     [cuec29] = pyde.xx.xx:ElectronicContact.Telephone.MobileDeletion.Indicator
    -->
    <assert id="VR.ATO.CUEC.000002" diagnostics="DVR.ATO.CUEC.000002"
            test="not(
                        not($cuec28[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec29[matches(.,'^(true|1)$')]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000003
         ELS Ref: N/A

		     IF ([cuec26] = NULLORBLANK) AND ([cuec27] = TRUE)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec26] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
		     [cuec27] = pyde.xx.xx:ElectronicContact.Telephone.Deletion.Indicator
    -->
    <assert id="VR.ATO.CUEC.000003" diagnostics="DVR.ATO.CUEC.000003"
            test="not(
                        not($cuec26[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec27[matches(.,'^(true|1)$')]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000004
         ELS Ref: N/A

		     IF ([cuec23] = NULLORBLANK) AND ([cuec24] = TRUE)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec23] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
		     [cuec24] = pyde.xx.xx:ElectronicContact.Telephone.Deletion.Indicator
    -->
    <assert id="VR.ATO.CUEC.000004" diagnostics="DVR.ATO.CUEC.000004"
            test="not(
                        not($cuec23[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec24[matches(.,'^(true|1)$')]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000005
         ELS Ref: N/A

         IF ([cuec20] = NULLORBLANK) AND ([cuec21] = TRUE)
            RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec20] = pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text
		     [cuec21] = pyde.xx.xx:ElectronicContact.ElectronicMail.Deletion.Indicator
    -->
    <assert id="VR.ATO.CUEC.000005" diagnostics="DVR.ATO.CUEC.000005"
            test="not(
                        not($cuec20[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec21[matches(.,'^(true|1)$')]
                     )"/>

    
    <!-- Rule ID: VR.ATO.CUEC.000062
         ELS Ref: N/A

         IF ([cuec20] = NULLORBLANK) AND 
            ([cuec23] = NULLORBLANK) AND 
            ([cuec26] = NULLORBLANK) AND 
            ([cuec28] = NULLORBLANK) AND 
            ([cuec31] = NULLORBLANK)
                RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec20] = pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text
         [cuec23] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
         [cuec26] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
         [cuec28] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
         [cuec31] = pyde.xx.xx:ElectronicContact.Facsimile.Minimal.Number
		     
    -->
    <assert id="VR.ATO.CUEC.000062" diagnostics="DVR.ATO.CUEC.000062"
            test="not(
                        not($cuec20[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($cuec23[not(@i:nil='true') and string-length(.) != 0])
                        and            
                        not($cuec26[not(@i:nil='true') and string-length(.) != 0])
                        and   
                        not($cuec28[not(@i:nil='true') and string-length(.) != 0])
                        and   
                        not($cuec31[not(@i:nil='true') and string-length(.) != 0])
                        
                     )"/>
    
    
    
    
    
    <!-- Rule ID: VR.ATO.CUEC.000095
         ELS Ref: V173A

		     IF ([cuec23] = NULLORBLANK) AND ([cuec22] <> NULLORBLANK)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec22] = pyde.xx.xx:ElectronicContact.Telephone.Area.Code
		     [cuec23] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CUEC.000095" diagnostics="DVR.ATO.CUEC.000095"
            test="not(
                        not($cuec23[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec22[not(@i:nil='true') and string-length(.) != 0]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000096
         ELS Ref: V173A

		     IF ([cuec26] = NULLORBLANK) AND ([cuec25] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec25] = pyde.xx.xx:ElectronicContact.Telephone.Area.Code
		     [cuec26] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CUEC.000096" diagnostics="DVR.ATO.CUEC.000096"
            test="not(
                        not($cuec26[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $cuec25[not(@i:nil='true') and string-length(.) != 0]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000097
         ELS Ref: V173B

		     IF ([cuec23] <> NULLORBLANK) AND ([cuec22] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec22] = pyde.xx.xx:ElectronicContact.Telephone.Area.Code
		     [cuec23] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CUEC.000097" diagnostics="DVR.ATO.CUEC.000097"
            test="not(
                        $cuec23[not(@i:nil='true') and string-length(.) != 0]
                        and
                        not($cuec22[not(@i:nil='true') and string-length(.) != 0])
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000098
         ELS Ref: V173B

		     IF ([cuec26] <> NULLORBLANK) AND ([cuec25] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF

		     [cuec25] = pyde.xx.xx:ElectronicContact.Telephone.Area.Code
		     [cuec26] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CUEC.000098" diagnostics="DVR.ATO.CUEC.000098"
            test="not(
                        $cuec26[not(@i:nil='true') and string-length(.) != 0]
                        and
                        not($cuec25[not(@i:nil='true') and string-length(.) != 0])
                     )"/>
    

    <!-- Rule ID: VR.ATO.CUEC.000123
         Removed by UCT8D
    -->   
    
    <!-- Rule ID: VR.ATO.CUEC.000124
         Removed by UCT8D
    -->   
    
    <!-- Rule ID: VR.ATO.GEN.500005
         ELS Ref: V173A

         IF ([cuec31] = NULLORBLANK) AND ([cuec30] <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec30] = pyde.xx.xx:ElectronicContact.Facsimile.Area.Code
         [cuec31] = pyde.xx.xx:ElectronicContact.Facsimile.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500005" diagnostics="DVR.ATO.GEN.500005"
            test="not(
                        not($cuec31[not(@i:nil='true') and string-length(.) != 0])
                        and
                        ($cuec30[not(@i:nil='true') and string-length(.) != 0])
                     )"/>
    

    <!-- Rule ID: VR.ATO.GEN.500007
         ELS Ref: V173B

         IF ([cuec31] <> NULLORBLANK) AND ([cuec30] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec30] = pyde.xx.xx:ElectronicContact.Facsimile.Area.Code
         [cuec31] = pyde.xx.xx:ElectronicContact.Facsimile.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500007" diagnostics="DVR.ATO.GEN.500007"
            test="not(
                        ($cuec31[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($cuec30[not(@i:nil='true') and string-length(.) != 0])
                     )"/>

  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $cuec13[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cuec15[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cuec16[not(@i:nil='true') and string-length(.) != 0]
                        )"/>

  </rule>

	<rule context="xbrli:xbrl/rvctc3.02.20:Tax.RoleType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

		<!-- Rule ID: VR.ATO.GEN.500013
         ELS Ref: V35
         
        IF (rvctc3.xx.xx:Tax.RoleType.Code <> NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code <> SET("IT","AS"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
		<assert id="VR.ATO.GEN.500013" diagnostics="DVR.ATO.GEN.500013"
				test="not(
                        not(
                              upper-case(.) = 'IT' or 
                              upper-case(.) = 'AS'
                           )
                     )"/>

	</rule>



</pattern>