﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUEC.000058 is replaced by   VR.ATO.GEN.500124 -->

    <!-- Rule ID: VR.ATO.GEN.500124
         
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn") 
        AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.500124" diagnostics="DVR.ATO.GEN.500124"
             test="not(
                            $RP.Context
                            and
                            xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                                and
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ] 
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUEC.000112
         ELS Ref: N/A

         IF COUNT(RP.Business) > 1
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CUEC.000112" diagnostics="DVR.ATO.CUEC.000112"
            test="not(
                        count($RPBUS.Context) &gt; 1
                      )" />
    
    
    <!-- Rule ID: VR.ATO.CUEC.000117
         ELS Ref: N/A

         IF COUNT(RP.BusinessAfterHours) > 1 
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CUEC.000117" diagnostics="DVR.ATO.CUEC.000117"
            test="not(
                        count($RPAH.Context) &gt; 1
                      )" />

    
    <!-- Rule ID: VR.ATO.CUEC.000122
         ELS Ref: V1200
      
         IF (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (ABNALGORITHM(RP:entity.identier.ABN) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CUEC.000122" diagnostics="DVR.ATO.CUEC.000122"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )" />

    
    <!-- Rule ID: VR.ATO.CUEC.000128
         ELS Ref: V20
      
         IF (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CUEC.000128" diagnostics="DVR.ATO.CUEC.000128"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateTFN(.))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUEC.000057
         ELS Ref: N/A
      
        IF RP:entity.identifier.scheme = "http://www.abr.gov.au/abn" AND INT:entity.identifier.ABN = RP:entity.identifier.ABN
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUEC.000057" diagnostics="DVR.ATO.CUEC.000057"
            test="not(                       
                        $INT.Context/xbrli:entity/xbrli:identifier
                        [
                          matches(@scheme,'^http://www.abr.gov.au/abn$')
                        ]
                        and
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                          matches(@scheme,'^http://www.abr.gov.au/abn$')
                        ]
                        and
                        $INT.Context/xbrli:entity/xbrli:identifier = $RP.Context/xbrli:entity/xbrli:identifier
                     )"/>



    <!-- Rule ID: VR.ATO.GEN.438039
         ELS Ref: V20
      
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:Intermediary") AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.438039" diagnostics="DVR.ATO.GEN.438039"
                test="not(
                            $INT.Context
                            and
                            xbrli:context[@id = $INT.ContextId]/xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ]                
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.000227

      IF COUNT(INT) > 1
         RETURN VALIDATION MESSAGE
      ENDIF
        
      THIS TEST IS UNDER THE TOP LEVEL AS IF IT WAS UNDER THE xbrli:context LEVEL THERE WOULD BE DUPLICATE ERROR MESSAGES PER CONTEXT
    -->
    <assert id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227"
            test="not(
                        count($INT.Context) > 1
                      )" />    
    
  
  </rule>
  
  <rule context="xbrli:xbrl[not(@i:nil='true')]/xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.CUEC.000059
         ELS Ref: N/A
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> RP:entity.identifier.scheme)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    
    <!-- Select only first RP as there should only ever be one. -->
    <let name="RPscheme" value="$RP.Context[1]/xbrli:entity/xbrli:identifier/@scheme"/>
    <assert id="VR.ATO.CUEC.000059" diagnostics="DVR.ATO.CUEC.000059"
            test="not(
                        ../../xbrli:identifier
                        [
                            not(matches(@scheme,$RPscheme))
                        ]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUEC.000060
         ELS Ref: N/A
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <let name="RPidentifier" value="$RP.Context[1]/xbrli:entity/xbrli:identifier"/>
    <assert id="VR.ATO.CUEC.000060" diagnostics="DVR.ATO.CUEC.000060"
            test="not(
                        ../../xbrli:identifier
                        [                            
                            matches(@scheme,$RPscheme)         
                            and
                            matches(@scheme,'^http://www.ato.gov.au/tfn$')
                            and
                            not(matches(.,$RPidentifier))
                        ]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUEC.000061
         ELS Ref: N/A
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (entity.identifier.ABN <> RP:entity.identifier.ABN)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.CUEC.000061" diagnostics="DVR.ATO.CUEC.000061"
            test="not(
                        ../../xbrli:identifier
                        [                            
                            matches(@scheme,$RPscheme)         
                            and
                            matches(@scheme,'^http://www.abr.gov.au/abn$')
                            and
                            not(matches(.,$RPidentifier))
                        ]
                     )" />
    
  </rule>
  

  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.428253
         ELS Ref: V1200
      
        IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM (INT:entity.identifier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253"
            test="not(                       
                        xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                        and 
                        string-length(.) != 0
                        and 
                        not(function:ValidateABN(.))]
                     )"/>

  </rule>
  
</pattern>
