﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUEC.000104
         ELS Ref: V7
         
         IF LENGTH([cuec23]) >15
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec23] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CUEC.000104" diagnostics="DVR.ATO.CUEC.000104"
            test="not(
                        $cuec23[string-length(.) > 15]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000105
         ELS Ref: V7
         
         IF LENGTH([cuec26]) >15
               RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec26] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.CUEC.000105" diagnostics="DVR.ATO.CUEC.000105"
            test="not(
                        $cuec26[string-length(.) > 15]
                     )"/>

    
    <!-- Rule ID: VR.ATO.CUEC.000075
         ELS Ref: V7

         IF LENGTH([cuec28]) > 10
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec28] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
    -->
    <assert id="VR.ATO.CUEC.000075" diagnostics="DVR.ATO.CUEC.000075"
            test="not(
                        ($cuec28[not(@i:nil='true') and string-length(.) > 10])
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUEC.000120
         ELS Ref: V7

         IF LENGTH([cuec20]) > 200
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec20] = pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUEC.000120" diagnostics="DVR.ATO.CUEC.000120"
            test="not(
                        ($cuec20[not(@i:nil='true') and string-length(.) > 200])
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500022
         ELS Ref: V7

         IF LENGTH([cuec31]) > 15
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec31] = pyde.xx.xx:ElectronicContact.Facsimile.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500022" diagnostics="DVR.ATO.GEN.500022"
            test="not(
                        ($cuec31[not(@i:nil='true') and string-length(.) > 15])
                     )"/>

  </rule>

</pattern>
