﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

	<!-- LOOP OVER REPORTING PARTY SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUEC.000018
         ELS Ref: V2797

         IF (([cuec28] <> NULLORBLANK) AND NOT ([cuec28] STARTSWITH "04"))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec28] = pyde.02.18:ElectronicContact.Telephone.Mobile.Number
    -->
    <assert id="VR.ATO.CUEC.000018" diagnostics="DVR.ATO.CUEC.000018"
            test="not(
                        $cuec28[not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^(04)(.*)$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.CUEC.000019
         ELS Ref: V44

         IF ([cuec28] <> NULLORBLANK) AND (ANY CHARACTER OF [cuec28] <> SET(0-9))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cuec28] = pyde.02.18:ElectronicContact.Telephone.Mobile.Number
    -->
    <assert id="VR.ATO.CUEC.000019" diagnostics="DVR.ATO.CUEC.000019"
            test="not(
                        $cuec28[not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^[0-9]+$'))]
                     )"/>

  </rule>
  <rule context="pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.GEN.430222
    
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222"
            test="not(
                        matches(.,'^@(.*)|(.*)@$')
                     )" />

    
    <!-- Rule ID: VR.ATO.GEN.430223
    
         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223"
            test="not(
                        matches(.,'^(.*)[@](.*)[@](.*)$')
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.430224
    
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".") 
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224"
            test="not(
                        matches(.,'^\.(.*)|(.*)\.$')
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.430226

         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226"
            test="not(
                        matches(.,'\.\.')
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.430227

         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".@"
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227"
            test="not(
                        matches(.,'\.@')
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.430228
    
         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228"
            test="not(
                        matches(.,'@\.')
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.430231
    
         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231"
            test="not(
                        matches(.,' ')
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.430232
    
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".") 
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232"
            test="not(
                        not(matches(.,'\.'))
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500029
         ELS Ref: V9
         
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.GEN.500029" diagnostics="DVR.ATO.GEN.500029"
             test="not(
                      not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-_=\[\];:''&quot;,.?\s/]*$'))
                      )"/>
    
    <!-- Rule ID: VR.ATO.GEN.430230
    
        IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230"
            test="not(
                        not(matches(.,'@'))
                     )" />
    
  </rule>
    
</pattern>
