﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUFI.000121
         Removed by UCT8D
    -->

    <!-- Rule ID: VR.ATO.CUFI.000117
         Removed by UCT8D
    -->
    
    <!-- Rule ID: VR.ATO.CUFI.000118
         ELS Ref: N/A
      
        IF ([cufi17] = "AS") AND ([cufi22] = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cufi17] = rvctc3.02.17:Tax.RoleType.Code
        [cufi22] = pyde.02.00:OrganisationDetails.OrganisationBranch.Code
    -->
    <assert id="VR.ATO.CUFI.000118" diagnostics="DVR.ATO.CUFI.000118"
            test="not(                
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [                            
                            (matches(@scheme,'^http://www.abr.gov.au/abn$'))
                        ]
                        and                          
                        $cufi17[not(@i:nil='true') and string-length(.) != 0]
                        and
                        upper-case($cufi17) = 'AS'
                        and
                        not($cufi22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                     )"/>


    <!-- Rule ID: VR.ATO.CUFI.000123
         ELS Ref: N/A
      
        IF ([cufi17] = "IT") AND ([cufi22] <> NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cufi17] = rvctc3.02.17:Tax.RoleType.Code
        [cufi22] = pyde.02.00:OrganisationDetails.OrganisationBranch.Code
    -->
    <assert id="VR.ATO.CUFI.000123" diagnostics="DVR.ATO.CUFI.000123"
            test="not(                
                        $cufi17[not(@i:nil='true') and string-length(.) != 0]
                        and
                        upper-case($cufi17) = 'IT'
                        and
                        $cufi22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                     )"/>


    <!-- Rule ID: VR.ATO.CUFI.000017
         ELS Ref: V17
      
        IF ([cufi18] = NULLORBLANK) OR ([cufi19] = NULLORBLANK) OR ([cufi20] = NULLORBLANK) 
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cufi18] = pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        [cufi19] = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        [cufi20] = pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
    -->
    <assert id="VR.ATO.CUFI.000017" diagnostics="DVR.ATO.CUFI.000017"
            test="not(                
                        not($cufi18[not(@i:nil='true') and string-length(.) != 0])
                        or
                        not($cufi19[not(@i:nil='true') and string-length(.) != 0])
                        or
                        not($cufi20[not(@i:nil='true') and string-length(.) != 0])
                     )"/>


    <!-- Rule ID: VR.ATO.CUFI.000046
         ELS Ref: N/A
      
        IF (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK) AND (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012000-999999))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cufi18] = pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number
    -->
    <assert id="VR.ATO.CUFI.000046" diagnostics="DVR.ATO.CUFI.000046"
            test="not(
                          $cufi18
                          [
                            . &lt; '012000'
                            or
                            . > '999999'
                          ]
                      )" />
    
  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $cufi12[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cufi14[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cufi27[not(@i:nil='true') and string-length(.) != 0]
                        )"/>

  </rule>

	<rule context="xbrli:xbrl/rvctc3.02.20:Tax.RoleType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

		<!-- Rule ID: VR.ATO.GEN.500013
         ELS Ref: V35
         
        IF (rvctc3.xx.xx:Tax.RoleType.Code <> NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code <> SET("IT","AS"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
		<assert id="VR.ATO.GEN.500013" diagnostics="DVR.ATO.GEN.500013"
				test="not(
                        not(
                              upper-case(.) = 'IT' or 
                              upper-case(.) = 'AS'
                           )
                     )"/>

	</rule>


</pattern>