﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUFI.000048 is replaced by VR.ATO.GEN.500124 -->

    <!-- Rule ID: VR.ATO.GEN.500124
         
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn") 
        AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.500124" diagnostics="DVR.ATO.GEN.500124"
             test="not(
                            $RP.Context
                            and
                            xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                                and
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ] 
                     )" />

    
    <!-- Rule ID: VR.ATO.CUFI.000122
         ELS Ref: V20
      
        IF (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        FIXME: Is this a duplicate of VR.ATO.GEN.500009?
    -->
    <assert id="VR.ATO.CUFI.000122" diagnostics="DVR.ATO.CUFI.000122"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateTFN(.))
                        ]
                     )" />



    <!-- Rule ID: VR.ATO.CUFI.000052
         ELS Ref: N/A
      
        IF RP:entity.identifier.scheme = "http://www.abr.gov.au/abn" AND INT:entity.identifier.ABN = RP:entity.identifier.ABN
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUFI.000052" diagnostics="DVR.ATO.CUFI.000052"
            test="not(                       
                        $INT.Context/xbrli:entity/xbrli:identifier
                        [
                          matches(@scheme,'^http://www.abr.gov.au/abn$')
                        ]
                        and
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                          matches(@scheme,'^http://www.abr.gov.au/abn$')
                        ]
                        and
                        $INT.Context/xbrli:entity/xbrli:identifier = $RP.Context/xbrli:entity/xbrli:identifier
                        
                     )"/>


    <!-- Rule ID: VR.ATO.CUFI.000104
         ELS Ref: V21
      
        IF (INT:entity.identifier.scheme = "http://www.ato.gov.au/ran") AND (TANALGORITHM (INT:entity.identifier.RAN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUFI.000104" diagnostics="DVR.ATO.CUFI.000104"
            test="not(                       
                        $INT.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/RAN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateTAN(.))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.CUFI.000116
         ELS Ref: V1200
      
        IF (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (ABNALGORITHM(RP:entity.identier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUFI.000116" diagnostics="DVR.ATO.CUFI.000116"
            test="not(                       
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.438039
         ELS Ref: V20
      
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:Intermediary") AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.438039" diagnostics="DVR.ATO.GEN.438039"
                test="not(
                            $INT.Context
                            and
                            xbrli:context[@id = $INT.ContextId]/xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ]                
                     )" />

    <!-- Rule ID: VR.ATO.GEN.000227

      IF COUNT(INT) > 1
         RETURN VALIDATION MESSAGE
      ENDIF
        
      THIS TEST IS UNDER THE TOP LEVEL AS IF IT WAS UNDER THE xbrli:context LEVEL THERE WOULD BE DUPLICATE ERROR MESSAGES PER CONTEXT
    -->
    <assert id="VR.ATO.GEN.000227" diagnostics="DVR.ATO.GEN.000227"
            test="not(
                        count($INT.Context) > 1
                      )" />
    
    
  </rule>

  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.428253
         ELS Ref: V1200
      
        IF (INT:entity.identifier.ABN <> NULLORBLANK) AND (ABNALGORITHM (INT:entity.identifier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428253" diagnostics="DVR.ATO.GEN.428253"
            test="not(                       
                        xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                        and 
                        string-length(.) != 0
                        and 
                        not(function:ValidateABN(.))]
                     )"/>

  </rule>
  
</pattern>