﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for CUFI.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUFI.000126
         ELS Ref: V17
      
         IF ([cufi23] = TRUE) AND ([cufi17] = "AS")
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cufi17] = rvctc3.xx.xx:Tax.RoleType.Code
         [cufi23] = pyid.xx.xx:FinancialInstitutionAccount.NoLongerValid.Indicator
    -->
    <assert id="VR.ATO.CUFI.000126" diagnostics="DVR.ATO.CUFI.000126"
             test="not(
                        $cufi23[matches(.,'^(true|1)$')]
                        and
                        $cufi17[upper-case(.) = 'AS']
                     )" />
    
  </rule>
  
</pattern>