﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF

          [cumas3] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
          [cumas5] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
          [cumas6] = pyde.xx.xx:PersonNameDetails.GivenName.Text
          [cumas7] = pyde.xx.xx:PersonDemographicDetails.Birth.Date
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $cumas5[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $cumas6[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $cumas7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )"/>

  </rule>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.CUMAS.100006
         Rule ID: VR.ATO.CUMAS.100011
         Removed by UCT8D
    -->

    <!-- Rule ID: VR.ATO.CUMAS.100023
         ELS Ref: N/A
      
        IF ([cumas17] <> NULL) AND ([cumas19] = NULLORBLANK OR [cumas20] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas17] = rvctc3.02.18:FuelTax.RegistrationStart.Date
        [cumas19] = rvctc3.02.18:FuelTax.FuelType.Code
        [cumas20] = rvctc3.02.18:FuelTax.HeavyVechicle.Indicator
    -->
    <assert id="VR.ATO.CUMAS.100023" diagnostics="DVR.ATO.CUMAS.100023"
            test="not(                       
                        $cumas17[not(@i:nil='true')]
                        and
                        (
                          not($cumas19[not(@i:nil='true')])
                          or
                          not($cumas20[not(@i:nil='true')])
                        )
                     )"/>


    <!-- Rule ID: VR.ATO.CUMAS.100048
         ELS Ref: N/A
      
        IF  ([cumas12] <> NULL)
        AND
        (
          ([cumas9] = NULL)
          OR
          ([cumas13] = NULL)
          OR
          ([cumas14] = NULL)
          OR
          ([cumas15] =  NULL)
          OR
          ([cumas16] = NULL)
        )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas9] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationReason.Code
        [cumas12] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
        [cumas13] = rvctc3.xx.xx:GoodsAndServicesTax.TurnoverRange.Code
        [cumas14] = pyin.xx.xx:Lodgment.Frequency.Code
        [cumas15] = bafot.xx.xx:AccountingPolicies.CashAccountingMethodUsed.Indicator 
        [cumas16] = rvctc3.xx.xx:GoodsAndServicesTax.Import.Indicator
     -->
    <assert id="VR.ATO.CUMAS.100048" diagnostics="DVR.ATO.CUMAS.100048"
            test="not(
                        $cumas12[not(@i:nil='true')]
                        and
                        (
                          not($cumas9[not(@i:nil='true')])
                          or
                          not($cumas13[not(@i:nil='true')])
                          or
                          not($cumas14[not(@i:nil='true')])
                          or
                          not($cumas15[not(@i:nil='true')])
                          or
                          not($cumas16[not(@i:nil='true')])
                        )
                     )" />
    

    <!-- Rule ID: VR.ATO.CUMAS.100057
         ELS Ref: N/A
      
        IF ([cumas12] < CONVERT_TO_DATE(1,7,2000))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas12] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
    -->
    <assert id="VR.ATO.CUMAS.100057" diagnostics="DVR.ATO.CUMAS.100057"
            test="not(
                        $cumas12[function:IsDate1GreaterThanDate2('2000-07-01', .)]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100058
         ELS Ref: N/A
      
        IF ([cumas12] <> NULL) AND (DATE(TODAY) < CONVERT_TO_DATE([cumas12].Day, [cumas12].Month - 6, [cumas12].Year))
          RETURN VALIDATION MESSAGE
        ENDIF

        [cumas12] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
     -->    
    <assert id="VR.ATO.CUMAS.100058" diagnostics="DVR.ATO.CUMAS.100058"
            test="not(
                        $cumas12[function:IsDate1GreaterThanDate2(function:AddRemoveMonthsToDate(., -6), current-date())]
                     )" />


	<!-- Rule ID: VR.ATO.CUMAS.100059
         ELS Ref: N/A
      
         IF ([cumas61] = "Importer") AND (([cumas36] < [cumas35]) OR ([cumas36] < [cumas34]) OR ([cumas36] < [cumas37]))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100059" diagnostics="DVR.ATO.CUMAS.100059"
            test="not(
                        $cumas61[. = 'Importer']
                        and
                        (
                          sum($cumas36) &lt; sum($cumas35)
                          or
                          sum($cumas36) &lt; sum($cumas37)
                          or
                          sum($cumas36) &lt; sum($cumas34)
                        )
                     )" />
					 
					 
    <!-- Rule ID: VR.ATO.CUMAS.100083
         ELS Ref: N/A
      
        IF ([cumas60] = NULLORBLANK) AND ([cumas13] = "$20 million and over")
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas13] = rvctc3.xx.xx:GoodsAndServicesTax.TurnoverRange.Code
        [cumas60] = pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text
     -->
    <assert id="VR.ATO.CUMAS.100083" diagnostics="DVR.ATO.CUMAS.100083"
            test="not(
                        not($cumas60[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        and
                        $cumas13[. = '$20 million and over']
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100085
         ELS Ref: N/A
      
        IF ([cumas17] < CONVERT_TO_DATE(1,7,2006))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas17] = rvctc3.xx.xx:FuelTax.RegistrationStart.Date
     -->
    <assert id="VR.ATO.CUMAS.100085" diagnostics="DVR.ATO.CUMAS.100085"
            test="not(
                        $cumas17[function:IsDate1GreaterThanDate2('2006-07-01', .)]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100095
         ELS Ref: N/A
      
        IF ([cumas21] < CONVERT_TO_DATE(1,7,2000))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas21] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
     -->
    <assert id="VR.ATO.CUMAS.100095" diagnostics="DVR.ATO.CUMAS.100095"
            test="not(
                        $cumas21[function:IsDate1GreaterThanDate2('2000-07-01', .)]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100096
         ELS Ref: N/A
      
        IF ([cumas21] <> NULL) 
        AND 
          (
            [cumas24] = NULL 
            OR 
            (
              [cumas25] = NULL 
              OR
              [cumas25] = 0
            ) 
            OR 
            [cumas26] = NULLORBLANK 
            OR 
            [cumas27] = NULLORBLANK 
            OR 
            [cumas28] = NULL 
            OR 
            [cumas29] = NULLORBLANK 
            OR 
            [cumas30] = NULLORBLANK 
            OR 
            [cumas31] = NULLORBLANK
          )
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas21] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
        [cumas24] = lrla.xx.xx:LabourStatistics.Employees.Count
        [cumas25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount
        [cumas26] = pyin.xx.xx:Lodgment.Channel.Code
        [cumas27] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentSummaryProvisionMethod.Code
        [cumas28] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.InvestmentBody.Indicator
        [cumas29] = pyde.xx.xx:OrganisationDetails.OrganisationIndustryGroup.Code
        [cumas30] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
        [cumas31] = pyde.xx.xx:OrganisationDetails.MainEmploymentActivity.Description
     -->
    <assert id="VR.ATO.CUMAS.100096" diagnostics="DVR.ATO.CUMAS.100096"
            test="not(
                        $cumas21[not(@i:nil='true')]
                        and
                        (
                          not($cumas24[not(@i:nil='true')])
                          or
                          sum($cumas25) = 0
                          or
                          not($cumas26[not(@i:nil='true')])
                          or
                          not($cumas27[not(@i:nil='true')])
                          or
                          not($cumas28[not(@i:nil='true')])
                          or
                          not($cumas29[not(@i:nil='true')])
                          or
                          not($cumas30[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          or
                          not($cumas31[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                        )
                     )" />








    <!-- Rule ID: VR.ATO.CUMAS.100109
         ELS Ref: N/A
      
         IF ([cumas26] <> NULLORBLANK) AND ([cumas26] <> SET("P","E","PE"))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas26] = pyin.xx.xx:Lodgment.Channel.Code
    -->
    <assert id="VR.ATO.CUMAS.100109" diagnostics="DVR.ATO.CUMAS.100109"
            test="not(
                        $cumas26[not(@i:nil='true') and string-length(.) != 0]
                        and
                        $cumas26
                        [
                          . != 'P'
                          and
                          . != 'E'
                          and
                          . != 'PE'
                        ]
                     )" />
    
    
	<!-- Rule ID: VR.ATO.CUMAS.100125
         ELS Ref: N/A
      
         IF ([cumas32] <> NULL) AND ([cumas32] < "2000-07-01")
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas32] = rvctc3.xx.xx:LuxuryCarTax.RegistrationStart.Date
    -->
    <assert id="VR.ATO.CUMAS.100125" diagnostics="DVR.ATO.CUMAS.100125"
            test="not(
                        $cumas32[not(@i:nil='true')]
                        and
                        $cumas32[function:IsDate1GreaterThanDate2('2000-07-01', .)]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100126
         ELS Ref: N/A
      
         IF ([cumas32] <> NULL) AND (([cumas61] = NULL) OR ([cumas38] = NULL) OR ([cumas39] = NULL))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas32] = rvctc3.xx.xx:LuxuryCarTax.RegistrationStart.Date
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100126" diagnostics="DVR.ATO.CUMAS.100126"
            test="not(
                        $cumas32[not(@i:nil='true')]
                        and
                        (
                          not($cumas61[not(@i:nil='true')])
                          or
                          not($cumas38[not(@i:nil='true')])
                          or
                          not($cumas39[not(@i:nil='true')])
                        )
                     )" />	
	
	
    <!-- Rule ID: VR.ATO.CUMAS.100134
         ELS Ref: N/A
      
         IF ([cumas61] <> NULL) AND (([cumas34] + [cumas35] + [cumas36] + [cumas37]) <> 100)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100134" diagnostics="DVR.ATO.CUMAS.100134"
            test="not(
                        $cumas61[not(@i:nil='true')]
                        and
                        sum($cumas34|$cumas35|$cumas36|$cumas37) != 100
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100135
         ELS Ref: N/A
      
         IF ([cumas61] = "Manufacturer") AND (([cumas34] < [cumas35]) OR ([cumas34] < [cumas36]) OR ([cumas34] < [cumas37]))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100135" diagnostics="DVR.ATO.CUMAS.100135"
            test="not(
                        $cumas61[. = 'Manufacturer']
                        and
                        (
                          sum($cumas34) &lt; sum($cumas36)
                          or
                          sum($cumas34) &lt; sum($cumas37)
                          or
                          sum($cumas34) &lt; sum($cumas35)
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100138
         ELS Ref: N/A
      
         IF ([cumas61] = "Wholesaler") AND (([cumas35] < [cumas34]) OR ([cumas35] < [cumas36]) OR ([cumas35] < [cumas37]))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100138" diagnostics="DVR.ATO.CUMAS.100138"
            test="not(
                        $cumas61[. = 'Wholesaler']
                        and
                        (
                          sum($cumas35) &lt; sum($cumas36)
                          or
                          sum($cumas35) &lt; sum($cumas37)
                          or
                          sum($cumas35) &lt; sum($cumas34)
                        )
                     )" />
                     
    
    <!-- Rule ID: VR.ATO.CUMAS.100148
         ELS Ref: N/A
      
         IF ([cumas40] <> NULL) AND ([cumas40] < "2000-07-01")
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas40] = rvctc3.xx.xx:WineEqualisationTax.RegistrationStart.Date
    -->
    <assert id="VR.ATO.CUMAS.100148" diagnostics="DVR.ATO.CUMAS.100148"
            test="not(
                        $cumas40[not(@i:nil='true')]
                        and
                        $cumas40[function:IsDate1GreaterThanDate2('2000-07-01', .)]
                     )" />	
	
	
    <!-- Rule ID: VR.ATO.CUMAS.100200
         ELS Ref: N/A
      
        IF ([cumas9] = NULL)
        AND
        (
          ([cumas12] <> NULL)
          OR
          ([cumas13] <> NULL)
          OR
          ([cumas14] <> NULL)
          OR
          ([cumas15] <> NULL)
          OR
          ([cumas16] <> NULL)
        )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas9] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationReason.Code
        [cumas12] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
        [cumas13] = rvctc3.xx.xx:GoodsAndServicesTax.TurnoverRange.Code
        [cumas14] = pyin.xx.xx:Lodgment.Frequency.Code
        [cumas15] = bafot.xx.xx:AccountingPolicies.CashAccountingMethodUsed.Indicator
        [cumas16] = rvctc3.xx.xx:GoodsAndServicesTax.Import.Indicator
    -->
    <assert id="VR.ATO.CUMAS.100200" diagnostics="DVR.ATO.CUMAS.100200"
            test="not(
                        not($cumas9[not(@i:nil='true')])
                        and
                        (
                          $cumas12[not(@i:nil='true')]
                          or
                          $cumas13[not(@i:nil='true')]
                          or
                          $cumas14[not(@i:nil='true')]
                          or
                          $cumas15[not(@i:nil='true')]
                          or
                          $cumas16[not(@i:nil='true')]
                        )
                     )" />

					 
    <!-- Rule ID: VR.ATO.CUMAS.100208
         ELS Ref: N/A
      
         IF ([cumas61] = "Retailer") AND (([cumas37] < [cumas35]) OR ([cumas37] < [cumas36]) OR ([cumas37] < [cumas34]))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100208" diagnostics="DVR.ATO.CUMAS.100208"
            test="not(
                        $cumas61[. = 'Retailer']
                        and
                        (
                          sum($cumas37) &lt; sum($cumas35)
                          or
                          sum($cumas37) &lt; sum($cumas36)
                          or
                          sum($cumas37) &lt; sum($cumas34)
                        )
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100212
         ELS Ref: N/A
      
        IF ([cumas40] <> NULL) AND 
          (
            (
              [cumas42] = NULL AND 
              [cumas43] = NULL AND 
              [cumas44] = NULL AND 
              [cumas45] = NULL AND 
              [cumas46] = NULL
            ) 
            OR 
            (
              [cumas47] = NULL AND 
              [cumas48] = NULL AND 
              [cumas49] = NULL AND 
              [cumas50] = NULL
            )
          )
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas40] = rvctc3.xx.xx:WineEqualisationTax.RegistrationStart.Date
        [cumas42] = rvctc3.xx.xx:WineEqualisationTax.Wine.Percent
        [cumas43] = rvctc3.xx.xx:WineEqualisationTax.Beer.Percent
        [cumas44] = rvctc3.xx.xx:WineEqualisationTax.Spirit.Percent
        [cumas45] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
        [cumas46] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
        [cumas47] = rvctc3.xx.xx:WineEqualisationTax.Wine.Percent
        [cumas48] = rvctc3.xx.xx:WineEqualisationTax.Beer.Percent
        [cumas49] = rvctc3.xx.xx:WineEqualisationTax.Spirit.Percent
        [cumas50] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
    -->
    <assert id="VR.ATO.CUMAS.100212" diagnostics="DVR.ATO.CUMAS.100212"
            test="not(
                        $cumas40[not(@i:nil='true')]
                        and
                        (
                          (
                            not($cumas42[not(@i:nil='true')])
                            and
                            not($cumas43[not(@i:nil='true')])
                            and
                            not($cumas44[not(@i:nil='true')])
                            and
                            not($cumas45[not(@i:nil='true')])
                            and
                            not($cumas46[not(@i:nil='true')])
                          )
                          or
                          (
                            not($cumas47[not(@i:nil='true')])
                            and
                            not($cumas48[not(@i:nil='true')])
                            and
                            not($cumas49[not(@i:nil='true')])
                            and
                            not($cumas50[not(@i:nil='true')])
                          )
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100213
         ELS Ref: N/A
      
         IF ([cumas32] <> NULL) AND (([cumas61] = NULL) OR ([cumas34] = NULL AND [cumas35] = NULL AND [cumas36] = NULL AND [cumas37] = NULL))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas32] = rvctc3.xx.xx:LuxuryCarTax.RegistrationStart.Date
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100213" diagnostics="DVR.ATO.CUMAS.100213"
            test="not(
                        $cumas32[not(@i:nil='true')]
                        and
                        (
                          not($cumas61[not(@i:nil='true')])
                          or
                          (
                            not($cumas34[not(@i:nil='true')])
                            and
                            not($cumas35[not(@i:nil='true')])
                            and
                            not($cumas36[not(@i:nil='true')])
                            and
                            not($cumas37[not(@i:nil='true')])
                          )
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100214
         ELS Ref: N/A
      
        IF ([cumas40] <> NULL) AND (([cumas47] + [cumas48] + [cumas49] + [cumas50]) > 100)
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas40] = rvctc3.xx.xx:WineEqualisationTax.RegistrationStart.Date
        [cumas47] = rvctc3.xx.xx:WineEqualisationTax.Wine.Percent
        [cumas48] = rvctc3.xx.xx:WineEqualisationTax.Beer.Percent
        [cumas49] = rvctc3.xx.xx:WineEqualisationTax.Spirit.Percent
        [cumas50] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
    -->
    <assert id="VR.ATO.CUMAS.100214" diagnostics="DVR.ATO.CUMAS.100214"
            test="not(
                        $cumas40[not(@i:nil='true')]
                        and
                        sum($cumas47|$cumas48|$cumas49|$cumas50) > 100
                     )" />		
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100231
         ELS Ref: N/A
      
         IF ([cumas12] = NULL) AND ([cumas17] = NULL) AND ([cumas21] = NULL) AND ([cumas32] = NULL) AND ([cumas40] =  NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas12] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
         [cumas17] = rvctc3.xx.xx:FuelTax.RegistrationStart.Date
         [cumas21] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
         [cumas32] = rvctc3.xx.xx:LuxuryCarTax.RegistrationStart.Date
         [cumas40] = rvctc3.xx.xx:WineEqualisationTax.RegistrationStart.Date
    -->
    <assert id="VR.ATO.CUMAS.100231" diagnostics="DVR.ATO.CUMAS.100231"
            test="not(
                        not($cumas12[not(@i:nil='true')])
                        and
                        not($cumas17[not(@i:nil='true')])
                        and
                        not($cumas21[not(@i:nil='true')])
                        and
                        not($cumas32[not(@i:nil='true')])
                        and
                        not($cumas40[not(@i:nil='true')])
                     )" />		 
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100238
         ELS Ref: N/A
      
         IF ([cumas14] = "Annually") AND ([cumas12] <> NULL) AND ([cumas12] < CONVERT_TO_DATE(RP:period.startDate.Day, RP:period.startDate.Month - 6, RP:period.startDate.Year))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas12] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
         [cumas14] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationStart.Date
    -->
    <let name="startDate" value="$RP.Context[1]/xbrli:period/xbrli:startDate"/>
    <assert id="VR.ATO.CUMAS.100238" diagnostics="DVR.ATO.CUMAS.100238"
            test="not(
                        $cumas14[. = 'Annually']
                        and
                        $cumas12[not(@i:nil='true') and function:IsDate1GreaterThanDate2($startDate, function:AddRemoveMonthsToDate(., 6))]
                     )" />		 
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100239
         ELS Ref: N/A
      
         IF ([cumas21] <> NULL) AND (DATE(TODAY) < CONVERT_TO_DATE([cumas21].Day, [cumas21].Month - 6, [cumas21].Year))
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas21] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
    -->
    <assert id="VR.ATO.CUMAS.100239" diagnostics="DVR.ATO.CUMAS.100239"
            test="not(
                        $cumas21[function:IsDate1GreaterThanDate2(function:AddRemoveMonthsToDate(., -6), current-date())]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100232
         ELS Ref: N/A
      
         IF ([cumas21] = NULL) 
            AND
            (
              [cumas24] <> NULL 
              OR 
              [cumas25] <> NULL 
              OR 
              [cumas26] <> NULLORBLANK 
              OR 
              [cumas27] <> NULLORBLANK
              OR 
              [cumas28] <> NULL 
              OR 
              [cumas29] <> NULLORBLANK 
              OR 
              [cumas30] <> NULLORBLANK 
              OR 
              [cumas31] <> NULLORBLANK
            )
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas21] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
         [cumas24] = lrla.xx.xx:LabourStatistics.Employees.Count
         [cumas25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount
         [cumas26] = pyin.xx.xx:Lodgment.Channel.Code
         [cumas27] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentSummaryProvisionMethod.Code
         [cumas28] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.InvestmentBody.Indicator
         [cumas29] = pyde.xx.xx:OrganisationDetails.OrganisationIndustryGroup.Code
         [cumas30] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
         [cumas31] = pyde.xx.xx:OrganisationDetails.MainEmploymentActivity.Description
    -->
    <assert id="VR.ATO.CUMAS.100232" diagnostics="DVR.ATO.CUMAS.100232"
            test="not(
                        not($cumas21[not(@i:nil='true')])
                        and
                        (
                          $cumas24[not(@i:nil='true')]
                          or
                          $cumas25[not(@i:nil='true')]
                          or
                          $cumas26[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas27[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas28[not(@i:nil='true')]
                          or
                          $cumas29[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas30[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas31[not(@i:nil='true') and string-length(.) != 0]
                        )
                     )" />		
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100233
         ELS Ref: N/A
      
         IF ([cumas12] = NULL) AND ([cumas9] <> NULLORBLANK OR [cumas10] <> NULL OR [cumas13] <> NULLORBLANK OR [cumas14] <> NULLORBLANK OR [cumas15] <>  NULL OR [cumas16] <> NULL OR [cumas60] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas21] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date
         [cumas24] = lrla.xx.xx:LabourStatistics.Employees.Count
         [cumas25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount
         [cumas26] = pyin.xx.xx:Lodgment.Channel.Code
         [cumas27] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentSummaryProvisionMethod.Code
         [cumas28] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.InvestmentBody.Indicator
         [cumas29] = pyde.xx.xx:OrganisationDetails.OrganisationIndustryGroup.Code
         [cumas30] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
         [cumas31] = pyde.xx.xx:OrganisationDetails.MainEmploymentActivity.Description
    -->
    <assert id="VR.ATO.CUMAS.100233" diagnostics="DVR.ATO.CUMAS.100233"
            test="not(
                        not($cumas12[not(@i:nil='true')])
                        and
                        (
                          $cumas9[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas10[not(@i:nil='true')]
                          or
                          $cumas13[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas14[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas15[not(@i:nil='true')]
                          or
                          $cumas16[not(@i:nil='true')]
                          or
                          $cumas60[not(@i:nil='true') and string-length(.) != 0]
                        )
                     )" />	
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100234
         ELS Ref: N/A
      
         IF ([cumas17] = NULL) AND ([cumas19] <> NULLORBLANK OR [cumas20] <> NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas17] = rvctc3.xx.xx:FuelTax.RegistrationStart.Date
         [cumas19] = rvctc3.xx.xx:FuelTax.FuelType.Code
         [cumas20] = rvctc3.xx.xx:FuelTax.HeavyVechicle.Indicator
    -->
    <assert id="VR.ATO.CUMAS.100234" diagnostics="DVR.ATO.CUMAS.100234"
            test="not(
                        not($cumas17[not(@i:nil='true')])
                        and
                        (
                          $cumas19[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas20[not(@i:nil='true')]
                        )
                     )" />	
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100235
         ELS Ref: N/A
      
         IF ([cumas32] = NULL) AND ([cumas61] <> NULLORBLANK OR [cumas34] <> NULL OR [cumas35] <> NULL AND [cumas36] <> NULL OR 
             [cumas37] <> NULL OR [cumas38] <> NULLORBLANK OR [cumas39] <> NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas32] = rvctc3.xx.xx:LuxuryCarTax.RegistrationStart.Date
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
         [cumas38] = rvctc3.xx.xx:LuxuryCarTax.LiabilityRange.Code
         [cumas39] = rvctc3.xx.xx:LuxuryCarTax.ActivityStatementRegistration.Indicator
         [cumas61] = rvctc3.xx.xx:LuxuryCarTax.Activity.Code
    -->
    <assert id="VR.ATO.CUMAS.100235" diagnostics="DVR.ATO.CUMAS.100235"
            test="not(
                        not($cumas32[not(@i:nil='true')])
                        and
                        (
                          $cumas61[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas34[not(@i:nil='true')]
                          or
                          $cumas35[not(@i:nil='true')]
                          or
                          $cumas36[not(@i:nil='true')]
                          or
                          $cumas37[not(@i:nil='true')]
                          or
                          $cumas38[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas39[not(@i:nil='true')]
                        )
                     )" />	
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100236
         ELS Ref: N/A
      
         IF ([cumas40] = NULL) AND ([cumas42] <> NULL OR [cumas43] <> NULL OR [cumas44] <> NULL OR [cumas45] <> NULL OR [cumas46] <> NULL 
          OR [cumas47] <> NULL OR [cumas48] <> NULL OR [cumas49] <> NULL OR [cumas50] <> NULL)
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas40] = rvctc3.xx.xx:WineEqualisationTax.RegistrationStart.Date
         [cumas42] = rvctc3.xx.xx:WineEqualisationTax.Manufacturing.Indicator
         [cumas43] = rvctc3.xx.xx:WineEqualisationTax.Wholesale.Indicator
         [cumas44] = rvctc3.xx.xx:WineEqualisationTax.Importing.Indicator
         [cumas45] = rvctc3.xx.xx:WineEqualisationTax.Exporting.Indicator
         [cumas46] = rvctc3.xx.xx:WineEqualisationTax.IndirectMarketingRetailer.Indicator
         [cumas47] = rvctc3.xx.xx:WineEqualisationTax.Wine.Percent
         [cumas48] = rvctc3.xx.xx:WineEqualisationTax.Beer.Percent
         [cumas49] = rvctc3.xx.xx:WineEqualisationTax.Spirit.Percent
         [cumas50] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
    -->
    <assert id="VR.ATO.CUMAS.100236" diagnostics="DVR.ATO.CUMAS.100236"
            test="not(
                        not($cumas40[not(@i:nil='true')])
                        and
                        (
                          $cumas42[not(@i:nil='true')]
                          or
                          $cumas43[not(@i:nil='true')]
                          or
                          $cumas44[not(@i:nil='true')]
                          or
                          $cumas45[not(@i:nil='true')]
                          or
                          $cumas46[not(@i:nil='true')]
                          or
                          $cumas47[not(@i:nil='true')]
                          or
                          $cumas48[not(@i:nil='true')]
                          or
                          $cumas49[not(@i:nil='true')]
                          or
                          $cumas50[not(@i:nil='true')]
                        )
                     )" />	
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100237
         Removed by UCT8D
    --> 		 
					 
    <!-- Rule ID: VR.ATO.GEN.410128
         ELS Ref: V17
      
         IF (pyin.xx.xx:Declaration.StatementAccepted.Indicator <> NULLORBLANK) AND (pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas58] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
    -->
    <assert id="VR.ATO.GEN.410128" diagnostics="DVR.ATO.GEN.410128"
            test="not(
                        $cumas58RPTAC
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                        or
                        $cumas58INTTAC
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500061
         ELS Ref: V173B
      
         IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)) OR ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas54] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [cumas55] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500061" diagnostics="DVR.ATO.GEN.500061"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          $cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($RPTAC.Context) = 0 
                          and
                          $cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500062
         ELS Ref: V173B
      
         IF (
              (CONTEXT(Intermediary.TrueAndCorrect) = NULL) 
              AND 
              (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number <> NULLORBLANK) 
              AND 
              (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            ) 
            OR 
            (
              (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) 
              AND 
              (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK) 
              AND 
              (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            )
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas54] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [cumas55] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500062" diagnostics="DVR.ATO.GEN.500062"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          $cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($RPTAC.Context) = 0 
                          and
                          $cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />					 
					 
  </rule>
  
  <rule context="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500066
         
        IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>

  </rule>
 
</pattern>