﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUMAS.100021 is replaced by VR.ATO.GEN.500124  -->

    <!-- Rule ID: VR.ATO.GEN.500124
         
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn") 
        AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.500124" diagnostics="DVR.ATO.GEN.500124"
             test="not(
                            $RP.Context
                            and
                            xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                                and
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ] 
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100098
         ELS Ref: N/A
         
         IF (RPI:period.instant <> RP:period.startDate)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUMAS.100098" diagnostics="DVR.ATO.CUMAS.100098"
            test="not(
                        $RPI.Context/xbrli:period/xbrli:instant[. != $RP.Context/xbrli:period/xbrli:startDate]
                     )"/>

    <!-- Rule ID: VR.ATO.CUMAS.100099

        IF COUNT(RPI) > 1
          RETURN VALIDATION MESSAGE
        ENDIF
        
        THIS TEST IS UNDER THE TOP LEVEL AS IF IT WAS UNDER THE xbrli:context LEVEL THERE WOULD BE DUPLICATE ERROR MESSAGES PER CONTEXT
      -->
    <assert id="VR.ATO.CUMAS.100099" diagnostics="DVR.ATO.CUMAS.100099"
            test="not(
                        count($RPI.Context) &gt; 1
                      )" />
    

    <!-- Rule ID: VR.ATO.CUMAS.100194
         ELS Ref: V1200
      
        IF (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (ABNALGORITHM(RP:entity.identier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUMAS.100194" diagnostics="DVR.ATO.CUMAS.100194"
            test="not(                       
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.CUMAS.100199
         ELS Ref: V20
      
        IF (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUMAS.100199" diagnostics="DVR.ATO.CUMAS.100199"
            test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateTFN(.))
                        ]
                     )" />    


    <!-- Rule ID: VR.ATO.GEN.500046
 
         IF COUNT(RP.TrueAndCorrect) > 1
           RETURN VALIDATION MESSAGE
         ENDIF
      -->
    <assert id="VR.ATO.GEN.500046" diagnostics="DVR.ATO.GEN.500046"
            test="not(
                        count($RPTAC.Context) > 1
                      )" />


    <!-- Rule ID: VR.ATO.GEN.500047

         IF COUNT(Intermediary.TrueAndCorrect) > 1
           RETURN VALIDATION MESSAGE
         ENDIF
      -->
    <assert id="VR.ATO.GEN.500047" diagnostics="DVR.ATO.GEN.500047"
            test="not(
                        count($INTTAC.Context) > 1
                      )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500051
         ELS Ref: N/A
      
         IF (Intermediary.TrueAndCorrect:entity.identifier.scheme <> "http://www.abr.gov.au/abn")
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500051" diagnostics="DVR.ATO.GEN.500051"
            test="not(
                        $INTTAC.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'
                        ]
                     )" />    
    
    
    <!-- Rule ID: VR.ATO.GEN.500052
         ELS Ref: N/A
      
         IF (RP.TrueAndCorrect:entity.identifier.scheme <> "http://www.abr.gov.au/abn")
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.500052" diagnostics="DVR.ATO.GEN.500052"
            test="not(
                        $RPTAC.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'
                        ]
                     )" />    
    
  </rule>


  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true')]">
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100188
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> RP:entity.identifier.scheme)
          RETURN VALIDATION MESSAGE
         ENDIF
		-->
    <assert id="VR.ATO.CUMAS.100188" diagnostics="DVR.ATO.CUMAS.100188"
			  test="not(
                      xbrli:entity/xbrli:segment/xbrldi:explicitMember
                      [
                          matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')
                          and 
                          matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')
                      ]
                      and
                      xbrli:entity/xbrli:identifier/@scheme != $RP.Context/xbrli:entity/xbrli:identifier/@scheme
                     )" />

    
    <!-- Rule ID: VR.ATO.CUMAS.100189
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") 
          AND (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") 
          AND (entity.identifier.TFN <> RP:entity.identifier.TFN)
           RETURN VALIDATION MESSAGE
         ENDIF
		-->
    <assert id="VR.ATO.CUMAS.100189" diagnostics="DVR.ATO.CUMAS.100189"
			  test="not(
                      xbrli:entity/xbrli:segment/xbrldi:explicitMember
                      [
                          matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')
                          and 
                          matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')
                      ]
                      and
                      $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/tfn'
                      and
                      xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme
                      and
                      xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100190
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") 
            AND (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") 
            AND (entity.identifier.ABN <> RP:entity.identifier.ABN)
           RETURN VALIDATION MESSAGE
         ENDIF
		-->
    <assert id="VR.ATO.CUMAS.100190" diagnostics="DVR.ATO.CUMAS.100190"
			  test="not(
                      xbrli:entity/xbrli:segment/xbrldi:explicitMember
                      [
                          matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')
                          and 
                          matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')
                      ]
                      and
                      $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'
                      and
                      xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme
                      and
                      xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100215
         ELS Ref: N/A
      
         IF (CONTEXT(INT.TrueAndCorrect) <> NULL) 
            AND (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") 
            AND (INT.TrueAndCorrect:entity.identifier.scheme = RP:entity.identifier.scheme) 
            AND (INT.TrueAndCorrect:entity.identifier.ABN = RP:entity.identifier.ABN)
                RETURN VALIDATION MESSAGE
         ENDIF
         
    -->
    <assert id="VR.ATO.CUMAS.100215" diagnostics="DVR.ATO.CUMAS.100215"
            test="not(
                        @id = $INTTAC.ContextId
                        and
                        $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'
                        and
                        xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme
                        and
                        xbrli:entity/xbrli:identifier
                        [
                            . = $RP.Context/xbrli:entity/xbrli:identifier
                        ]
                     )"/>
    

    <!-- Rule ID: VR.ATO.GEN.500054
         ELS Ref: V1200
      
        IF (CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND (ABNALGORITHM(Intermediary.TrueAndCorrect:entity.identifier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500054" diagnostics="DVR.ATO.GEN.500054"
            test="not(
                        @id = $INTTAC.ContextId
                        and
                        xbrli:entity/xbrli:identifier
                        [
                            string-length(.) != 0 
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>

  </rule>
  
</pattern>