﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Lengths Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUMAS.100072
         ELS Ref: V7
         
        IF LENGTH([cumas60]) > 200
              RETURN VALIDATION MESSAGE
        ENDIF
         
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100072" diagnostics="DVR.ATO.CUMAS.100072"
            test="not(
                        $cumas60[string-length(.) > 200]
                     )"/>


    <!-- Rule ID: VR.ATO.CUMAS.100103
         ELS Ref: V7

        IF LENGTH([cumas24]) > 7
             RETURN VALIDATION MESSAGE
        ENDIF
         
        [cumas24] = lrla.xx.xx:LabourStatistics.Employees.Count
    -->
    <assert id="VR.ATO.CUMAS.100103" diagnostics="DVR.ATO.CUMAS.100103"
            test="not(
                        $cumas24[string-length(.) > 7]
                     )"/>


    <!-- Rule ID: VR.ATO.CUMAS.100106
         ELS Ref: V7

        IF [cumas25] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF

        [cumas25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount		    
    -->
    <assert id="VR.ATO.CUMAS.100106" diagnostics="DVR.ATO.CUMAS.100106"
						test="not(
												$cumas25[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.CUMAS.100119
         ELS Ref: V7

        IF LENGTH([cumas30]) > 200
           RETURN VALIDATION MESSAGE
        ENDIF

        [cumas30] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
    -->
    <assert id="VR.ATO.CUMAS.100119" diagnostics="DVR.ATO.CUMAS.100119"
						test="not(
                        $cumas30[string-length(.) > 200]
										 )"/>


    <!-- Rule ID: VR.ATO.CUMAS.100121
         ELS Ref: V7

        IF LENGTH([cumas31]) > 200
           RETURN VALIDATION MESSAGE
        ENDIF

        [cumas31] = pyde.xx.xx:OrganisationDetails.MainEmploymentActivity.Description
    -->
    <assert id="VR.ATO.CUMAS.100121" diagnostics="DVR.ATO.CUMAS.100121"
						test="not(
                        $cumas31[string-length(.) > 200]
										 )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100165
         ELS Ref: V7
         
         IF LENGTH([cumas47]) > 3
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas47] = rvctc3.xx.xx:WineEqualisationTax.Wine.Percent
    -->
    <assert id="VR.ATO.CUMAS.100165" diagnostics="DVR.ATO.CUMAS.100165"
            test="not(
                        $cumas47[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100167
         ELS Ref: V7
         
         IF LENGTH([cumas48]) > 3
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas48] = rvctc3.xx.xx:WineEqualisationTax.Beer.Percent
    -->
    <assert id="VR.ATO.CUMAS.100167" diagnostics="DVR.ATO.CUMAS.100167"
            test="not(
                        $cumas48[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100169
         ELS Ref: V7
         
         IF LENGTH([cumas49]) > 3
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas49] = rvctc3.xx.xx:WineEqualisationTax.Spirit.Percent
    -->
    <assert id="VR.ATO.CUMAS.100169" diagnostics="DVR.ATO.CUMAS.100169"
            test="not(
                        $cumas49[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100171
         ELS Ref: V7
         
         IF LENGTH([cumas50]) > 3
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas50] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
    -->
    <assert id="VR.ATO.CUMAS.100171" diagnostics="DVR.ATO.CUMAS.100171"
            test="not(
                        $cumas50[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500063
         ELS Ref: V7
         
         IF LENGTH(pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number) > 15
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas55] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500063" diagnostics="DVR.ATO.GEN.500063"
            test="not(
                        $cumas55RPTAC[string-length(.) > 15]
                        or
                        $cumas55INTTAC[string-length(.) > 15]
                     )"/>	
	
  </rule>

  <rule context="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500058
        ELS Ref: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.Position.Text) > 50
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500058" diagnostics="DVR.ATO.GEN.500058"
            test="not(
                        string-length(.) > 50
                     )"/>
  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CUMAS.100174
        ELS Ref: V7
         
        IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUMAS.100174" diagnostics="DVR.ATO.CUMAS.100174"
            test="not(
                        string-length(.) > 200
                     )"/>
  </rule>  
  
</pattern>