﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUMAS.100073
         ELS Ref: V9         
        
        IF ([cumas60] <> NULLORBLANK) AND (ANY CHARACTER OF [cumas60] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","-","=","'",".","?","/"," "))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100073" diagnostics="DVR.ATO.CUMAS.100073"
            test="not(
                        $cumas60
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[\--9a-z?-Z -!$-&#x26;*='']*$'))
                        ]
                    )"/>

    
    <!-- Rule ID: VR.ATO.CUMAS.100074
         ELS Ref: N/A
        
        IF ([cumas60] STARTSWITH "@") OR ([cumas60] ENDSWITH "@")
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100074" diagnostics="DVR.ATO.CUMAS.100074"
            test="not(
                        $cumas60
                        [
                            matches(.,'^@(.*)|(.*)@$')
                        ]
                    )"/>

    
    <!-- Rule ID: VR.ATO.CUMAS.100075
         ELS Ref: N/A
    
        IF [cumas60] CONTAINS MORE THAN ONE "@"
          RETURN VALIDATION MESSAGE
        ENDIF
    
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100075" diagnostics="DVR.ATO.CUMAS.100075"
            test="not(
                        $cumas60
                        [
                            matches(.,'^(.*)[@](.*)[@](.*)$')
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100076
         ELS Ref: N/A
    
        IF ([cumas60] STARTSWITH ".") OR ([cumas60] ENDSWITH ".") 
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100076" diagnostics="DVR.ATO.CUMAS.100076"
            test="not(
                        $cumas60
                        [
                            matches(.,'^\.(.*)|(.*)\.$')
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100077
         ELS Ref: N/A

         IF [cumas60] CONTAINS ".."
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100077" diagnostics="DVR.ATO.CUMAS.100077"
            test="not(
                        $cumas60
                        [
                            matches(.,'\.\.')
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100078
         ELS Ref: N/A

         IF [cumas60] CONTAINS ".@"
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100078" diagnostics="DVR.ATO.CUMAS.100078"
            test="not(
                        $cumas60
                        [
                            matches(.,'\.@')
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100079
         ELS Ref: N/A
    
         IF [cumas60] CONTAINS "@."
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100079" diagnostics="DVR.ATO.CUMAS.100079"
            test="not(
                        $cumas60
                        [
                            matches(.,'@\.')
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100080
         ELS Ref: N/A
    
        IF ([cumas60] <> NULLORBLANK) AND ([cumas60] DOES NOT CONTAIN "@")
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100080" diagnostics="DVR.ATO.CUMAS.100080"
            test="not(
                        $cumas60
                        [
                            not(matches(.,'@'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.100081
         ELS Ref: N/A
    
         IF [cumas60] = FOUND(" ")
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100081" diagnostics="DVR.ATO.CUMAS.100081"
            test="not(
                        $cumas60
                        [
                            matches(.,' ')
                        ]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100082
         ELS Ref: N/A
    
        IF ([cumas60] <> NULLORBLANK) AND ([cumas60] DOES NOT CONTAIN ".")
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas60] = pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.CUMAS.100082" diagnostics="DVR.ATO.CUMAS.100082"
            test="not(
                        $cumas60
                        [
                            not(matches(.,'\.'))
                        ]
                     )" />

   
    <!-- Rule ID: VR.ATO.CUMAS.100120
         ELS Ref: V9

        IF ([cumas30] <> NULLORBLANK) AND ([cumas30] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas30] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
    -->
    <assert id="VR.ATO.CUMAS.100120" diagnostics="DVR.ATO.CUMAS.100120"
            test="not(
                        $cumas30
                        [
                            not(@i:nil='true' or @i:nil='1') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                        ]
                     )"/>
    
	
    <!-- Rule ID: VR.ATO.CUMAS.100132
         ELS Ref: V44

         IF ([cumas34] <> NULL) AND (ANY CHARACTER OF [cumas34] <> SET(0-9))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
     -->
    <assert id="VR.ATO.CUMAS.100132" diagnostics="DVR.ATO.CUMAS.100132"
            test="not(        
                        $cumas34
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100136
         ELS Ref: V44

         IF ([cumas35] <> NULL) AND (ANY CHARACTER OF [cumas35] <> SET(0-9))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
     -->
    <assert id="VR.ATO.CUMAS.100136" diagnostics="DVR.ATO.CUMAS.100136"
            test="not(        
                        $cumas35
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100139
         ELS Ref: V44

         IF ([cumas36] <> NULL) AND (ANY CHARACTER OF [cumas36] <> SET(0-9))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
     -->
    <assert id="VR.ATO.CUMAS.100139" diagnostics="DVR.ATO.CUMAS.100139"
            test="not(        
                        $cumas36
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100141
         ELS Ref: V44

         IF ([cumas37] <> NULL) AND (ANY CHARACTER OF [cumas37] <> SET(0-9))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
     -->
    <assert id="VR.ATO.CUMAS.100141" diagnostics="DVR.ATO.CUMAS.100141"
            test="not(        
                        $cumas37
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100164
         ELS Ref: V44

         IF ([cumas47] <> NULL) AND (ANY CHARACTER OF [cumas47] <> SET(0-9))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas47] = rvctc3.xx.xx:WineEqualisationTax.Wine.Percent
     -->
    <assert id="VR.ATO.CUMAS.100164" diagnostics="DVR.ATO.CUMAS.100164"
            test="not(        
                        $cumas47
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100166
         ELS Ref: V44

         IF ([cumas48] <> NULL) AND (ANY CHARACTER OF [cumas48] <> SET(0-9))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas48] = rvctc3.xx.xx:WineEqualisationTax.Beer.Percent
     -->
    <assert id="VR.ATO.CUMAS.100166" diagnostics="DVR.ATO.CUMAS.100166"
            test="not(        
                        $cumas48
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>
                     
    
    <!-- Rule ID: VR.ATO.CUMAS.100168
         ELS Ref: V44

         IF ([cumas49] <> NULL) AND (ANY CHARACTER OF [cumas49] <> SET(0-9))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas49] = rvctc3.xx.xx:WineEqualisationTax.Spirit.Percent
     -->
    <assert id="VR.ATO.CUMAS.100168" diagnostics="DVR.ATO.CUMAS.100168"
            test="not(        
                        $cumas49
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>  
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100170
         ELS Ref: V44

         IF ([cumas50] <> NULL) AND (ANY CHARACTER OF [cumas50] <> SET(0-9))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas50] = rvctc3.xx.xx:WineEqualisationTax.Other.Percent
     -->
    <assert id="VR.ATO.CUMAS.100170" diagnostics="DVR.ATO.CUMAS.100170"
            test="not(        
                        $cumas50
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]
                     )"/>
    
	
	<!-- Rule ID: VR.ATO.CUMAS.100227
         ELS Ref: V35
         
         IF ([cumas34] <> NULL) AND ([cumas34] <> SET(0-100))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas34] = rvctc3.xx.xx:LuxuryCarTax.Manufacturing.Percent
    -->
    <assert id="VR.ATO.CUMAS.100227" diagnostics="DVR.ATO.CUMAS.100227"
            test="not(
                        $cumas34[. &lt; 0 or . > 100]
                     )"/>
	
	
    <!-- Rule ID: VR.ATO.CUMAS.100228
         ELS Ref: V35
         
         IF ([cumas35] <> NULL) AND ([cumas35] <> SET(0-100))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas35] = rvctc3.xx.xx:LuxuryCarTax.Wholesale.Percent
    -->
    <assert id="VR.ATO.CUMAS.100228" diagnostics="DVR.ATO.CUMAS.100228"
            test="not(
                        $cumas35[. &lt; 0 or . > 100]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100229
         ELS Ref: V35
         
         IF ([cumas36] <> NULL) AND ([cumas36] <> SET(0-100))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas36] = rvctc3.xx.xx:LuxuryCarTax.Importing.Percent
    -->
    <assert id="VR.ATO.CUMAS.100229" diagnostics="DVR.ATO.CUMAS.100229"
            test="not(
                        $cumas36[. &lt; 0 or . > 100]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100230
         ELS Ref: V35
         
         IF ([cumas37] <> NULL) AND ([cumas37] <> SET(0-100))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas37] = rvctc3.xx.xx:LuxuryCarTax.Retailing.Percent
    -->
    <assert id="VR.ATO.CUMAS.100230" diagnostics="DVR.ATO.CUMAS.100230"
            test="not(
                        $cumas37[. &lt; 0 or . > 100]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500057
         ELS Ref: V139
         
         IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS  " - " )
           RETURN VALIDATION MESSAGE
         ENDIF           
    -->
    <assert id="VR.ATO.GEN.500057" diagnostics="DVR.ATO.GEN.500057"
            test="not(
                        $cumas52RPTAC[matches(.,'^(.*) - (.*)$')]
                        or
                        $cumas52INTTAC[matches(.,'^(.*) - (.*)$')]
                     )"/>     
    
    
    <!-- Rule ID: VR.ATO.GEN.500059
         ELS Ref: V9
         
         IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas53] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
    <!--<assert id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
            test="not(
                      $cumas53RPTAC
                      [
                        not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\-_-;=]*$'))
                      ]
                      or
                      $cumas53INTTAC
                      [
                        not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\-_-;=]*$'))
                      ]
                     )"/>-->
    
    
    <!-- Rule ID: VR.ATO.GEN.500069
         ELS Ref: V9

         IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas59] = pyin.02.00:Declaration.SignatoryIdentifier.Text
    -->
    <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
            test="not(
                        $cumas59INTTAC
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                        ]
                        or
                        $cumas59RPTAC
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.CUMAS.100122
         ELS Ref: V9
         
         IF ([cumas31] <> NULLORBLANK) AND ([cumas31] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [cumas31] = pyde.xx.xx:OrganisationDetails.MainEmploymentActivity.Description
    -->
    <assert id="VR.ATO.CUMAS.100122" diagnostics="DVR.ATO.CUMAS.100122"
            test="not(
                      $cumas31
                      [
                        not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                      ]
                     )"/>	
	
  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF              
        
    -->
    <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>

  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]">

		<!-- Rule ID: VR.ATO.GEN.500059
         ELS Ref: V9
         
		IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
			RETURN VALIDATION MESSAGE
		ENDIF
    -->
		<assert id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
				test="not(
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                     )"/>
  </rule>
  
</pattern>