﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <!--<rule context="xbrli:xbrl[not(@i:nil='true')]">-->

  <!-- Rule ID: VR.ATO.CUFI.000121
         ELS Ref: V1925D
      
        IF (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cumas3] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
  <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
			 test="not(
                          $cumas5[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas6[not(@i:nil='true') and string-length(.) != 0]
                          or
                          $cumas7[not(@i:nil='true') and string-length(.) != 0]
                        )"/>


  </rule>


  <rule context="xbrli:xbrl[not(@i:nil='true')]">


    <!-- Rule ID: VR.ATO.CUMAS.200006		
	       Removed by UCT8D		
    -->

    <!-- Rule ID: VR.ATO.CUMAS.200003
         Removed by UCT8D
    -->

    <!-- Rule ID: VR.ATO.CUMAS.200074
         ELS Ref: V35
      
        IF (rvctc3.xx.xx:Tax.RoleType.Code <> NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code <> SET("GST", "FTC", "PAYG", "LCT", "WET"))
				RETURN VALIDATION MESSAGE
		ENDIF
         
        IF (rvctc3.xx.xx:Tax.RoleType.Code <> NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code <> SET("Goods and Services Tax (GST)", "Fuel Tax Credits (FTC)", "Pay as you go (PAYG) withholding", "Luxury Car Tax (LCT)", "Wine Equalisation Tax (WET)"))
          RETURN VALIDATION MESSAGE
        ENDIF
         
        [cumas65] = rvctc3.xx.xx:Tax.RoleType.Code
    -->
    <assert id="VR.ATO.CUMAS.200074" diagnostics="DVR.ATO.CUMAS.200074"
        test="not(
                    $cumas65[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                    and
						        not($cumas65
                           [
                            . = 'Goods and Services Tax (GST)' 
                            or 
                            . = 'Fuel Tax Credits (FTC)' 
                            or 
                            . = 'Pay as you go (PAYG) withholding' 
                            or 
                            . = 'Luxury Car Tax (LCT)'							 
                            or 
                            . = 'Wine Equalisation Tax (WET)'
                           ])
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.200079

		    IF ([cumas66] <> NULL) AND ([cumas66] > RP:period.startDate)
             RETURN VALIDATION MESSAGE
        ENDIF

		    [cumas66] = rvctc3.02.18:Tax.RoleRegistrationCancellation.Date
    -->
    <let name="startDate" value="$RP.Context[1]/xbrli:period/xbrli:startDate"/>
    <assert id="VR.ATO.CUMAS.200079" diagnostics="DVR.ATO.CUMAS.200079"
        test="not(
                          $cumas66
                          [
                              not(@i:nil='true') 
                              and 
                              function:IsDate1GreaterThanDate2(., $startDate)
                          ]                              
                     )" />			
    
    
    <!-- Rule ID: VR.ATO.CUMAS.200118
         Removed by UCT8D
    -->
    
    <!-- Rule ID: VR.ATO.GEN.410128
         ELS Ref: V17
      
         IF (pyin.xx.xx:Declaration.StatementAccepted.Indicator <> NULLORBLANK) AND (pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas58] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
    -->
    <assert id="VR.ATO.GEN.410128" diagnostics="DVR.ATO.GEN.410128"
            test="not(
                        $cumas58RPTAC
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                        or
                        $cumas58INTTAC
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                     )" />



    <!-- Rule ID: VR.ATO.GEN.500061
         ELS Ref: V173A
         
         IF (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
            ) 
            OR 
            (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
            )
            RETURN VALIDATION MESSAGE
         ENDIF
                          
         [cumas54RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [cumas55INTTAC] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         
         [cumas54RPTAC]  = pyde.02.00:ElectronicContact.Telephone..Minimal.Number
         [cumas55INTTAC] = pyde.02.00:ElectronicContact.Telephone..Minimal.Number         
    -->
    <assert id="VR.ATO.GEN.500061" diagnostics="DVR.ATO.GEN.500061"
        test="not(
                        (
                            not($CUMAS.INTTAC.Context) 
                            and 
                            not($cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0])
                            and
                            $cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0]
                        ) 
                        or
                        (
                            $CUMAS.INTTAC.Context 
                            and 
                            not($cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0])
                            and
                            $cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0]
                        )                      
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.500062
         ELS Ref: V173B
         
         IF (
                (CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number <> NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.02.00:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            ) 
            OR 
            (
                (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            )         
            RETURN VALIDATION MESSAGE
         ENDIF
                  
         [cumas54RPTAC]  = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [cumas55INTTAC] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         
         [cumas54RPTAC]  = pyde.02.00:ElectronicContact.Telephone..Minimal.Number
         [cumas55INTTAC] = pyde.02.00:ElectronicContact.Telephone..Minimal.Number     
    -->
    <assert id="VR.ATO.GEN.500062" diagnostics="DVR.ATO.GEN.500062"
            test="not(
                        (
                            not($CUMAS.INTTAC.Context) 
                            and 
                            $cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0]
                            and
                            not($cumas54RPTAC[not(@i:nil='true')])
                        ) 
                        or
                        (
                            $CUMAS.INTTAC.Context 
                            and 
                            $cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0]
                            and
                            not($cumas54INTTAC[not(@i:nil='true')])
                        )                      
                     )"/>

    
    <!-- Rule ID: VR.ATO.GEN.500065
         ELS Ref: V17         
        
        IF (CONTEXT(RP.TrueAndCorrect) <> NULL) AND (RP.TrueAndCorrect:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier <> NULL)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500065" diagnostics="DVR.ATO.GEN.500065"
        test="not(
                        count($CUMAS.RPTAC.Context) > 0
                        and
                        $cumas56RPTAC[not(@i:nil='true') and string-length(.) != 0]
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500067
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)) 
           OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500067" diagnostics="DVR.ATO.GEN.500067"
        test="not(                        
                        (
                          count($CUMAS.INTTAC.Context) = 0 
                          and 
                          not($cumas57RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          count($CUMAS.RPTAC.Context) = 0 
                          and 
                          not($cumas57INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                  )" />
    

    <!-- Rule ID: VR.ATO.CUMAS.200105

				IF  ([cumas65] <>  SET("Fuel Tax Credits (FTC)")) AND ([cumas66] <> NULL) AND ([cumas66] < "2000-07-01")
             RETURN VALIDATION MESSAGE
        ENDIF

        [cumas65] = rvctc3.xx.xx:Tax.RoleType.Code
		    [cumas66] = rvctc3.xx.xx:Tax.RoleRegistrationCancellation.Date
    -->
    <assert id="VR.ATO.CUMAS.200105" diagnostics="DVR.ATO.CUMAS.200105"
        test="not(
                          $cumas65
                          [
                             . != 'Fuel Tax Credits (FTC)'
						              ] 
                          and
                          $cumas66
                          [
                              not(@i:nil='true') 
                              and 
                              function:IsDate1GreaterThanDate2('2000-07-01', .)
                          ]                              
                     )" />
    
    
    <!-- Rule ID: VR.ATO.CUMAS.200042

		    IF ([cumas65] <> NULLORBLANK) AND ([cumas66] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF

        [cumas65] = Tax.RoleType.Code
		    [cumas66] = rvctc3.02.18:Tax.RoleRegistrationCancellation.Date
    -->
    <assert id="VR.ATO.CUMAS.200042" diagnostics="DVR.ATO.CUMAS.200042"
        test="not(
                          $cumas65[not(@i:nil='true') and string-length(.) != 0] 
                          and 
						              not($cumas66[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.200110

        IF ([cumas65] = "Goods and Services Tax (GST)") AND ([cumas11] = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF

        [cumas11] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationCancellation.Code
				[cumas65] = rvctc3.xx.xx:Tax.RoleType.Code
		-->
    <assert id="VR.ATO.CUMAS.200110" diagnostics="DVR.ATO.CUMAS.200110"
        test="not(
                          $cumas65
                          [
                             . = 'Goods and Services Tax (GST)'
						              ] 
                          and not
                          (
                            $cumas11[not(@i:nil='true') and string-length(.) != 0]
                          )
                 )" />


    <!-- Rule ID: VR.ATO.CUMAS.200116

        IF ([cumas65] = SET("Fuel Tax Credits (FTC)", "Pay as you go (PAYG) withholding", "Luxury Car Tax (LCT)", "Wine Equalisation Tax (WET)")) 
        AND 
        ([cumas11] <> NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF

        [cumas11] = rvctc3.xx.xx:GoodsAndServicesTax.RegistrationCancellation.Code
				[cumas65] = rvctc3.xx.xx:Tax.RoleType.Code
		-->
    <assert id="VR.ATO.CUMAS.200116" diagnostics="DVR.ATO.CUMAS.200116"
        test="not(
                          $cumas65
                          [
                             . = 'Fuel Tax Credits (FTC)'
                             or
                             . = 'Pay as you go (PAYG) withholding'
                             or
                             . = 'Luxury Car Tax (LCT)'
                             or
                             . = 'Wine Equalisation Tax (WET)'
						              ] 
                          and 
                          $cumas11[not(@i:nil='true') and string-length(.) != 0]
                 )" />


    <!-- Rule ID: VR.ATO.CUMAS.200117

        IF  ([cumas65] =  SET("Fuel Tax Credits (FTC)"))
          AND 
          ([cumas66] <> NULL) AND ([cumas66] < "2006-07-01")
             RETURN VALIDATION MESSAGE
        ENDIF

        [cumas65] = rvctc3.xx.xx:Tax.RoleType.Code
        [cumas66] = rvctc3.xx.xx:Tax.RoleRegistrationCancellation.Date
		-->
    <assert id="VR.ATO.CUMAS.200117" diagnostics="DVR.ATO.CUMAS.200117"
        test="not(
                          $cumas65
                          [
                             . = 'Fuel Tax Credits (FTC)'
						              ] 
                          and 
                          $cumas66[not(@i:nil='true') and function:IsDate1GreaterThanDate2('2006-07-01', .)]
                 )" />

  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500066
         
        IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
				test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>

  </rule>







</pattern>