﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Context Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUMAS.200019 is replaced by VR.ATO.GEN.500124 -->
    
    <!-- Rule ID: VR.ATO.GEN.500124
         
        IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn") 
        AND (entity.identifier.scheme <> "http://www.abr.gov.au/abn")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.500124" diagnostics="DVR.ATO.GEN.500124"
             test="not(
                            $RP.Context
                            and
                            xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                            [                            
                                not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))
                                and
                                not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                            ] 
                     )" />   

    <!-- Rule ID: VR.ATO.CUMAS.200028
         ELS Ref: V1200
      
        IF (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (ABNALGORITHM(RP:entity.identier.ABN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUMAS.200028" diagnostics="DVR.ATO.CUMAS.200028"
			  test="not(                       
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.CUMASCANCEL.000034
         ELS Ref: V20
      
        IF (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") AND (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
          RETURN VALIDATION MESSAGE
        ENDIF
        
        FIXME: Is this a duplicate of VR.ATO.GEN.500009?
    -->
    <assert id="VR.ATO.CUMAS.200034" diagnostics="DVR.ATO.CUMAS.200034"
			  test="not(
                        $RP.Context/xbrli:entity/xbrli:identifier
                        [
                            upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'
                            and 
                            string-length(.) != 0
                            and 
                            not(function:ValidateTFN(.))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500047

        IF COUNT(Intermediary.TrueAndCorrect) > 1
           RETURN VALIDATION MESSAGE
        ENDIF
        
		-->
    <assert id="VR.ATO.GEN.500047" diagnostics="DVR.ATO.GEN.500047"
			  test="not(
                        $currentContextId = $CUMAS.INTTAC.ContextId 
                        and            
                        count($CUMAS.INTTAC.ContextId) > 1
                      )" />


    <!-- Rule ID: VR.ATO.GEN.500046

        IF COUNT(RP.TrueAndCorrect) > 1
			RETURN VALIDATION MESSAGE
		ENDIF
        
		-->
    <assert id="VR.ATO.GEN.500046" diagnostics="DVR.ATO.GEN.500046"
			  test="not(
                        $currentContextId = $CUMAS.RPTAC.ContextId 
                        and            
                        count($CUMAS.RPTAC.ContextId) > 1
                      )" />





    <!-- Rule ID: VR.ATO.GEN.500051
      
        IF (Intermediary.TrueAndCorrect:entity.identifier.scheme <> "http://www.abr.gov.au/abn")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500051" diagnostics="DVR.ATO.GEN.500051"
			  test="not(
                        $CUMAS.INTTAC.Context
                        and
                        xbrli:context[@id = $CUMAS.INTTAC.ContextId]/xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                        ]
                     )" />



    <!-- Rule ID: VR.ATO.GEN.500052
      
       IF (RP.TrueAndCorrect:entity.identifier.scheme <> "http://www.abr.gov.au/abn")
		RETURN VALIDATION MESSAGE
	   ENDIF
    -->
    <assert id="VR.ATO.GEN.500052" diagnostics="DVR.ATO.GEN.500052"
			  test="not(
                        $CUMAS.RPTAC.Context
                        and
                        xbrli:context[@id = $CUMAS.RPTAC.ContextId]/xbrli:entity/xbrli:identifier
                        [                            
                            not(matches(@scheme,'^http://www.abr.gov.au/abn$'))
                        ]
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.200025
      
		IF (CONTEXT(INT.TrueAndCorrect) <> NULL) AND (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (INT.TrueAndCorrect:entity.identifier.ABN = RP:entity.identifier.ABN)
			RETURN VALIDATION MESSAGE
		ENDIF   
    -->
    <assert id="VR.ATO.CUMAS.200024" diagnostics="DVR.ATO.CUMAS.200024"
			  test="not(
                        $CUMAS.INTTAC.Context[not(@i:nil='true')]
						and
						$RP.Context/xbrli:entity/xbrli:identifier
                        [
                          matches(@scheme,'^http://www.abr.gov.au/abn$')
                        ]
						and
						$CUMAS.INTTAC.Context/xbrli:entity/xbrli:identifier[. = $RP.Context/xbrli:entity/xbrli:identifier]
                     )" />

    <!-- Rule ID: VR.ATO.CUMAS.200119
         ELS Ref: N/A
         
         IF (RPI:period.instant <> RP:period.startDate)
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CUMAS.200119" diagnostics="DVR.ATO.CUMAS.200119"
            test="not(
                        $CUMAS.RPI.Context/xbrli:period/xbrli:instant[. != $RP.Context/xbrli:period/xbrli:startDate]
                     )"/>

    <!-- Rule ID: VR.ATO.CUMAS.200120

        IF COUNT(RPI) > 1
          RETURN VALIDATION MESSAGE
        ENDIF
        
        THIS TEST IS UNDER THE TOP LEVEL AS IF IT WAS UNDER THE xbrli:context LEVEL THERE WOULD BE DUPLICATE ERROR MESSAGES PER CONTEXT
      -->
    <assert id="VR.ATO.CUMAS.200120" diagnostics="DVR.ATO.CUMAS.200120"
            test="not(
                        count($CUMAS.RPI.Context) &gt; 1
                      )" />

  </rule>
  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true')]">


    <!-- Rule ID: VR.ATO.GEN.500054
      
		IF (CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND (ABNALGORITHM(Intermediary.TrueAndCorrect:entity.identifier.ABN) = FALSE)
			RETURN VALIDATION MESSAGE
		ENDIF   
    -->
    <assert id="VR.ATO.GEN.500054" diagnostics="DVR.ATO.GEN.500054"
      test="not(
                        @id = $CUMAS.INTTAC.ContextId
                        and
                        xbrli:entity/xbrli:identifier
                        [
                            string-length(.) != 0 
                            and 
                            not(function:ValidateABN(.))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.CUMAS.200021
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (entity.identifier.scheme <> RP:entity.identifier.scheme)
          RETURN VALIDATION MESSAGE
         ENDIF
		-->
    <assert id="VR.ATO.CUMAS.200021" diagnostics="DVR.ATO.CUMAS.200021"
			  test="not(
                      xbrli:entity/xbrli:segment/xbrldi:explicitMember
                      [
                          matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')
                          and 
                          matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')
                      ]
                      and
                      xbrli:entity/xbrli:identifier/@scheme != $RP.Context/xbrli:entity/xbrli:identifier/@scheme
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.200022
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (RP:entity.identifier.scheme = "http://www.ato.gov.au/tfn") AND (entity.identifier.TFN <> RP:entity.identifier.TFN)
           RETURN VALIDATION MESSAGE
         ENDIF
		-->
    <assert id="VR.ATO.CUMAS.200022" diagnostics="DVR.ATO.CUMAS.200022"
			  test="not(
                      xbrli:entity/xbrli:segment/xbrldi:explicitMember
                      [
                          matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')
                          and 
                          matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')
                      ]
                      and
                      $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/tfn'
                      and
                      xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier
                     )" />


    <!-- Rule ID: VR.ATO.CUMAS.200023
      
         IF (RprtPyType.xx.xx:ReportPartyTypeDimension = "RprtPyType.xx.xx:ReportingParty") AND (RP:entity.identifier.scheme = "http://www.abr.gov.au/abn") AND (entity.identifier.ABN <> RP:entity.identifier.ABN)
           RETURN VALIDATION MESSAGE
         ENDIF
		-->
    <assert id="VR.ATO.CUMAS.200023" diagnostics="DVR.ATO.CUMAS.200023"
			  test="not(
                      xbrli:entity/xbrli:segment/xbrldi:explicitMember
                      [
                          matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')
                          and 
                          matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')
                      ]
                      and
                      $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'
                      and
                      xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier
                     )" />

  

  </rule>

</pattern>