﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Pattern Validations</title>

	<rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: ACR
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
			RETURN VALIDATION MESSAGE
		ENDIF             
        
    -->
    <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>

	</rule>


	<rule context="xbrli:xbrl[not(@i:nil='true')]">
		<!--<rule context="xbrli:xbrl[not(@i:nil='true')]">-->

		<!-- Rule ID: VR.ATO.GEN.500057
         ELS Ref: ACR
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS  " - " )
			RETURN VALIDATION MESSAGE
		ENDIF                  
    -->
		<assert id="VR.ATO.GEN.500057" diagnostics="DVR.ATO.GEN.500057"
				test="not(
                            $cumas52RPTAC[matches(.,'^(.*) - (.*)$')]
                        or
                            $cumas52INTTAC[matches(.,'^(.*) - (.*)$')]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500069
         ELS Ref: V9

         IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas59] = pyin.02.00:Declaration.SignatoryIdentifier.Text
    -->
    <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
            test="not(
                        $cumas59INTTAC
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                        ]
                        or
                        $cumas59RPTAC
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                        ]
                     )"/>


	</rule>
	<rule context="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500058
        ELS Ref: V7
         
        IF LENGTH(pyde.xx.xx:PersonNameDetails.Position.Text) > 50
             RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500058" diagnostics="DVR.ATO.GEN.500058"
            test="not(
                        string-length(.) > 50
                     )"/>


		<!-- Rule ID: VR.ATO.GEN.500059
         ELS Ref: V9
         
		IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
			RETURN VALIDATION MESSAGE
		ENDIF
    -->
		<assert id="VR.ATO.GEN.500059" diagnostics="DVR.ATO.GEN.500059"
				test="not(
                        not(matches(.,'^[a-z?-\[\] -&#x22;$-*\--;=]*$'))
                     )"/>
  </rule>
	


</pattern>