﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory validation for fields that are applicable for CUFI.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.CUMAS.200102
         ELS Ref: V17
      
         IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas59] = pyin.xx.xx:Declaration.SignatoryIdentifier.Text
    -->
    <assert id="VR.ATO.CUMAS.200102" diagnostics="DVR.ATO.CUMAS.200102"
            test="not(
                        not($cumas59RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($cumas59INTTAC[not(@i:nil='true') and string-length(.) != 0])
                     )" />


	  <!-- Rule ID: VR.ATO.GEN.500056
         ELS Ref: ACR        
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect)=NULL) AND (RP.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK)) OR ((CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK))
			RETURN VALIDATION MESSAGE
		ENDIF
    -->
	  <assert id="VR.ATO.GEN.500056" diagnostics="DVR.ATO.GEN.500056"
			  test="not(
                        (
                            not($CUMAS.INTTAC.Context) 
                            and
                            not($cumas52RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $CUMAS.INTTAC.Context 
                            and
                            not($cumas52INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        ) 
                        
                     )" />
    
    
    
    <!-- Rule ID: VR.ATO.GEN.500068
         ELS Ref: V17
      
         IF (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [cumas58] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
    -->
    <assert id="VR.ATO.GEN.500068" diagnostics="DVR.ATO.GEN.500068"
            test="not(
                        not($cumas58RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($cumas58INTTAC[not(@i:nil='true') and string-length(.) != 0])
                     )" />
  </rule>
  
</pattern>