﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.500085
         Rule ID: VR.ATO.GEN.500004
       Removed by UCT8D
    -->  

    <!-- Rule ID: VR.ATO.CUREL.000041
         ELS Ref: N/A
           
        IF [CUREL16] = NULLORBLANK AND [curel12] = NULLORBLANK AND [curel14] = NULLORBLANK AND [curel28] = NULLORBLANK AND [curel27] = NULL
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [curel12] = pyde.02.00:PersonNameDetails.FamilyName.Text
        [curel14] = pyde.02.00:PersonNameDetails.GivenName.Text
        [curel16] = pyde.02.00.OrganisationNameDetails.OrganisationalName.Text
        [curel27] = pyde.02.00:PersonDemographicDetails.Birth.Date
        [curel28] = pyde.02.18:PersonDemographicDetails.Sex.Code    
    -->
    <assert  id="VR.ATO.CUREL.000041" diagnostics="DVR.ATO.CUREL.000041"
             test="not(  
                          not($curel12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          and
                          not($curel14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          and
                          not($curel16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          and
                          not($curel27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          and
                          not($curel28[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                       )" />

    <!-- Rule ID: VR.ATO.GEN.500123
         ELS Ref: N/A
           
        IF RP:entity.identifier.scheme = "http://www.abr.gov.au/abn" AND  
            (
                RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK OR 
                RP:entity.identifier.ABN <> RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
            )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [curel19] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
    -->
    <assert  id="VR.ATO.GEN.500123" diagnostics="DVR.ATO.GEN.500123"
         test="not(  
                          xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                          [
                                matches(@scheme,'^http://www.abr.gov.au/abn$')
                          ]
                          and
                          (
                                not($curel19[not(@i:nil='true' or @i:nil='1') or string-length(.) != 0])
                                or
                                xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                                [
                                      string-length(.) != 0 
                                      and 
                                      . != $curel19
                                ]
                          )
                       )" />
  </rule>

  <rule context="xbrli:xbrl/rvctc3.02.20:Tax.RoleType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500032
         ELS Ref: V17         
        
        IF (pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier = NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code = SET("IT","AS"))
           RETURN VALIDATION MESSAGE
        ENDIF
                
        [curel17] = rvctc3.02.17:Tax.RoleType.Code
        [curel76] = pyid.02.00:Identifiers.TaxAgentNumber.Identifier
    -->
    <assert id="VR.ATO.GEN.500032" diagnostics="DVR.ATO.GEN.500032"
            test="not(
                        not($curel76[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         
                        and 
                        (
                              upper-case(.) = 'IT' or 
                              upper-case(.) = 'AS'
                        )
                     )"/>
    
    
		<!-- Rule ID: VR.ATO.GEN.500013
         ELS Ref: V35
         
        IF (rvctc3.xx.xx:Tax.RoleType.Code <> NULLORBLANK) AND (rvctc3.xx.xx:Tax.RoleType.Code <> SET("IT","AS"))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
		<assert id="VR.ATO.GEN.500013" diagnostics="DVR.ATO.GEN.500013"
				test="not(
                        not(
                              upper-case(.) = 'IT' or 
                              upper-case(.) = 'AS'
                           )
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $curel12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $curel14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $curel27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )"/>

  </rule>

</pattern>